set_defvar -name {SPEED} -value {STD}
set_defvar -name {VOLTAGE} -value {1.2}
set_defvar -name {IO_DEFT_STD} -value {LVCMOS25}
set_defvar -name {PACOMP_PARPT_MAX_NET} -value {10}
set_defvar -name {RESTRICTPROBEPINS} -value {0}
set_defvar -name {PDC_IMPORT_HARDERROR} -value {1}
set_defvar -name {BLOCK_PLACEMENT_CONFLICTS} -value {ERROR}
set_defvar -name {BLOCK_ROUTING_CONFLICTS} -value {LOCK}

set_compile_info \
    -category {"Device Selection"} \
    -name {"Family"} \
    -value {"SmartFusion2"}
set_compile_info \
    -category {"Device Selection"} \
    -name {"Device"} \
    -value {"M2S050T_ES"}
set_compile_info \
    -category {"Device Selection"} \
    -name {"Package"} \
    -value {"896 FBGA"}
set_compile_info \
    -category {"Device Selection"} \
    -name {"Speed Grade"} \
    -value {"STD"}
set_compile_info \
    -category {"Device Selection"} \
    -name {"Temp"} \
    -value {"0:25:85"}
set_compile_info \
    -category {"Device Selection"} \
    -name {"Voltage"} \
    -value {"1.26:1.20:1.14"}
set_compile_info \
    -category {"Device Selection"} \
    -name {"Core Voltage"} \
    -value {"1.2V"}
set_compile_info \
    -category {"Device Selection"} \
    -name {"Ramp Rate"} \
    -value {"100ms Minimum"}
set_compile_info \
    -category {"Device Selection"} \
    -name {"System Controller Suspend Mode"} \
    -value {"No"}
set_compile_info \
    -category {"Device Selection"} \
    -name {"PLL Supply Voltage"} \
    -value {"3.3V"}
set_compile_info \
    -category {"Device Selection"} \
    -name {"Default I/O technology"} \
    -value {"LVCMOS 2.5V"}
set_compile_info \
    -category {"Device Selection"} \
    -name {"Restrict Probe Pins"} \
    -value {"No"}
set_compile_info \
    -category {"Source Files"} \
    -name {"Topcell"} \
    -value {"Trigger_receiver_v1_7"}
set_compile_info \
    -category {"Source Files"} \
    -name {"Format"} \
    -value {"EDIF"}
set_compile_info \
    -category {"Source Files"} \
    -name {"Source"} \
    -value {"C:\Actelprj\System_w_Linux_11_2\synthesis\Trigger_receiver_v1_7.edn"}
set_compile_info \
    -category {"Source Files"} \
    -name {"Source"} \
    -value {"C:\Actelprj\System_w_Linux_11_2\synthesis\Trigger_receiver_v1_7_sdc.sdc"}
set_compile_info \
    -category {"Source Files"} \
    -name {"Source"} \
    -value {"C:\Actelprj\System_w_Linux_11_2\constraint\io\io_constr_t_r_1_7.pdc"}
set_compile_info \
    -category {"Options"} \
    -name {"Merge User SDC file(s) with Existing Timing Constraints"} \
    -value {"true"}
set_compile_info \
    -category {"Options"} \
    -name {"Abort Compile if errors are found in PDC file(s)"} \
    -value {"true"}
set_compile_info \
    -category {"Options"} \
    -name {"Limit the number of high fanout nets to display to"} \
    -value {"10"}
compile \
    -desdir {C:\Actelprj\System_w_Linux_11_2\designer\Trigger_receiver_v1_7} \
    -design Trigger_receiver_v1_7 \
    -fam SmartFusion2 \
    -die PA4M5000_ES \
    -pkg fg896 \
    -pdc_file {C:\Actelprj\System_w_Linux_11_2\constraint\io\io_constr_t_r_1_7.pdc} \
    -merge_pdc 0
