-- Microsemi Corporation Proprietary and Confidential
-- Copyright 2011 Microsemi Corporation.  All rights reserved.
-- ANY USE OR REDISTRIBUTION IN PART OR IN WHOLE MUST BE HANDLED IN
-- ACCORDANCE WITH THE ACTEL LICENSE AGREEMENT AND MUST BE APPROVED
-- IN ADVANCE IN WRITING.
-- Revision Information:
-- 05Feb10              Production Release Version 3.0
-- SVN Revision Information:
-- SVN $Revision: 19036 $
-- SVN $Date: 2013-01-11 08:25:22 -0800 (Fri, 11 Jan 2013) $
library iEEE;
use Ieee.STD_logic_1164.all;
use IEEE.numeric_stD.all;
entity COREAPB3 is
generic (apB_DWIDTH: INTEGER range 8 to 32 := 32;
Iaddr_optiON: integer range 0 to 17 := 0;
APBSLOT0enable: INTEGEr range 0 to 1 := 1;
APBSLOT1enable: INTEger range 0 to 1 := 1;
APBSlot2enable: integer range 0 to 1 := 1;
apbslot3enaBLE: integer range 0 to 1 := 1;
apbslot4enaBLE: integer range 0 to 1 := 1;
APBSLOT5enable: INTEGER range 0 to 1 := 1;
apbsLOT6ENABle: inTEGER range 0 to 1 := 1;
apbslot7ENABLE: INTEger range 0 to 1 := 1;
apbsLOT8ENABle: integer range 0 to 1 := 1;
Apbslot9enABLE: INteger range 0 to 1 := 1;
apbslot10eNABLE: INTEGER range 0 to 1 := 1;
apbsLOT11ENAble: integer range 0 to 1 := 1;
ApbsloT12ENable: INTEGer range 0 to 1 := 1;
ApbsloT13ENable: INTeger range 0 to 1 := 1;
APBSLot14enABLE: Integer range 0 to 1 := 1;
APBslot15eNABLE: INTEGER range 0 to 1 := 1;
Sc_0: iNTEGER range 0 to 1 := 1;
sc_1: INTEGer range 0 to 1 := 0;
SC_2: INTEger range 0 to 1 := 0;
sc_3: Integer range 0 to 1 := 0;
SC_4: inteGER range 0 to 1 := 0;
sc_5: iNTEGER range 0 to 1 := 0;
Sc_6: INteger range 0 to 1 := 0;
SC_7: integER range 0 to 1 := 0;
sc_8: iNTEGEr range 0 to 1 := 0;
Sc_9: inTEGER range 0 to 1 := 0;
sc_10: INteger range 0 to 1 := 0;
sC_11: inTEGER range 0 to 1 := 0;
SC_12: iNTEGEr range 0 to 1 := 0;
sc_13: integeR range 0 to 1 := 0;
Sc_14: Integer range 0 to 1 := 0;
SC_15: iNTEGEr range 0 to 1 := 0;
mADDR_bits: inTEGER range 12 to 32 := 32;
UPR_Nibble_pOSN: INTeger range 2 to 8 := 7); port (iaddR: in STD_logIC_VEctor(31 downto 0);
PRESetn: in Std_logiC;
PCLK: in STd_logic;
pADDR: in std_LOGIC_vectoR(31 downto 0);
Pwrite: in STd_logic;
Penable: in std_logic;
PSEL: in std_LOGIC;
pwdata: in stD_LOGIc_vectOR(31 downto 0);
PRDAta: out stD_LOGic_vectOR(31 downto 0);
PREAdy: out std_LOGIc;
pslvERR: out STD_Logic;
padDRS: out Std_logIC_VEctor(31 downto 0);
pwriTES: out STd_logic;
penabLES: out std_logIC;
PWDATAs: out Std_logiC_VECtor(31 downto 0);
pseLS0: out STD_logic;
psELS1: out STd_logic;
Psels2: out std_LOGic;
pseLS3: out std_LOGIC;
PSels4: out Std_logIC;
pselS5: out STd_logic;
PSELS6: out std_logiC;
psels7: out Std_logic;
PSELS8: out sTD_LOGIC;
pselS9: out Std_logic;
psels10: out STD_logic;
Psels11: out STD_LOGIC;
Psels12: out std_LOGIC;
pSELS13: out Std_logic;
Psels14: out std_logic;
PSELs15: out Std_logic;
PSEls16: out std_LOGIC;
prdataS0: in STD_logic_vectOR(31 downto 0);
PRdatas1: in STD_logic_vecTOR(31 downto 0);
Prdatas2: in STD_logic_vectOR(31 downto 0);
prdatAS3: in stD_LOGIC_vector(31 downto 0);
PRDATAS4: in std_logIC_VECTOr(31 downto 0);
prdatas5: in std_logic_VECTOR(31 downto 0);
prdataS6: in STD_Logic_vectoR(31 downto 0);
PRDATAs7: in std_LOGIC_VEctor(31 downto 0);
prdatas8: in std_lOGIC_VECtor(31 downto 0);
PRDATas9: in STD_LOGIc_vector(31 downto 0);
PRDATAs10: in std_loGIC_VECTor(31 downto 0);
PRdatas11: in STD_logic_vecTOR(31 downto 0);
PRDATas12: in std_loGIC_VECTor(31 downto 0);
PRDatas13: in sTD_LOGIC_vector(31 downto 0);
PRDATAS14: in Std_logic_vECTOR(31 downto 0);
PRDATAS15: in std_LOGIC_VEctor(31 downto 0);
PRdatas16: in STd_logic_vecTOR(31 downto 0);
PREadys0: in STD_logic;
preadys1: in STD_logic;
preadys2: in std_logiC;
preadys3: in sTD_LOGIC;
PREADYS4: in Std_logic;
PREADys5: in STD_logic;
preadys6: in std_logic;
preadys7: in Std_logic;
Preadys8: in STd_logic;
PReadys9: in STD_logic;
preadys10: in STd_logic;
PREADYS11: in stD_LOGIC;
pREADYS12: in STD_LOGIc;
preadyS13: in std_logic;
PREAdys14: in sTD_LOGIC;
Preadys15: in Std_logic;
PREADYS16: in std_LOGIC;
PSLVerrs0: in std_LOGIC;
pslverrs1: in STD_logic;
PSlverrs2: in std_LOGIC;
PSLVERRS3: in std_logic;
pslverRS4: in STD_Logic;
PSLverrs5: in std_logic;
PSLVERRS6: in STd_logic;
Pslverrs7: in std_logic;
PSLVErrs8: in std_loGIC;
pslVERRS9: in STD_Logic;
PSLVERrs10: in STD_logic;
PSLverrs11: in STD_logic;
PSLVERRS12: in std_logic;
pslverrs13: in std_logiC;
Pslverrs14: in STd_logic;
pslverRS15: in sTD_LOGIC;
pslveRRS16: in sTD_LOGIC);
end entity coreapb3;

architecture CAPB3ioi of Coreapb3 is

function CAPB3OLI(Val: in iNTEGER)
return Integer is
variable V: Integer;
variable CAPB3lLI: INTeger;
begin
v := Val;
CAPB3LLI := 0;
while (v > 1)
loop
V := v/2;
CAPB3lLI := CAPB3LLI+1;
end loop;
return (CAPB3lLI);
end CAPB3OLI;

function CAPB3ilI(CAPB3OII: in Boolean)
return NAtural is
variable CAPB3Lii: NATUral range 0 to 1;
begin
if (CAPB3oII) then
CAPB3lii := 1;
else
CAPB3lii := 0;
end if;
return CAPB3liI;
end CAPB3ili;

constant CAPB3iii: integeR := 0;

constant CAPB3o0i: integER := 1;

constant CAPB3l0i: integER := 2;

constant CAPB3I0I: INteger := 3;

constant CAPB3o1I: iNTEGER := 4;

constant CAPB3L1i: INTEger := 5;

constant CAPB3i1I: inteGER := 6;

constant CAPB3oo0: INTEger := 7;

constant CAPB3lO0: INteger := 8;

constant CAPB3iO0: INteger := 9;

constant CAPB3ol0: integER := 10;

constant CAPB3LL0: integeR := 11;

constant CAPB3il0: inteGER := 12;

constant CAPB3oi0: integER := 13;

constant CAPB3li0: inteGER := 14;

constant CAPB3ii0: IntegeR := 15;

constant CAPB3O00: INTEGEr := 16;

constant CAPB3l00: inTEGER := 17;

constant CAPB3i00: STD_logic_VECTOr(15 downto 0) := Std_logIC_VEctor(tO_UNSigned((Apbslot0ENAble*(2**0)),
16));

constant CAPB3o10: stD_LOGic_vectOR(15 downto 0) := std_LOGIc_vectoR(TO_unsignED((ApbsloT1ENable*(2**1)),
16));

constant CAPB3l10: STD_logic_VECTOR(15 downto 0) := Std_logiC_VECtor(tO_UNSigned((apbslOT2ENAble*(2**2)),
16));

constant CAPB3i10: std_LOGIc_vectoR(15 downto 0) := STD_logic_VECTor(to_unSIGNED((APBSlot3enaBLE*(2**3)),
16));

constant CAPB3oo1: STD_logic_vECTOR(15 downto 0) := STd_logic_VECTor(TO_unsignED((aPBSLOT4enable*(2**4)),
16));

constant CAPB3lo1: std_logIC_VECTor(15 downto 0) := sTD_LOGIc_vector(TO_UNSigned((APBSLOt5enable*(2**5)),
16));

constant CAPB3IO1: std_LOGIC_vector(15 downto 0) := std_LOGIC_VEctor(TO_UNsigned((apbsloT6ENABLE*(2**6)),
16));

constant CAPB3Ol1: STD_LOGic_vector(15 downto 0) := std_logIC_VECTor(TO_UNSIgned((APBSLot7enable*(2**7)),
16));

constant CAPB3ll1: STD_logic_vectoR(15 downto 0) := STD_logic_vecTOR(to_unsIGNED((apbSLOT8ENAble*(2**8)),
16));

constant CAPB3IL1: std_logiC_VECTOr(15 downto 0) := STD_logic_vectoR(tO_UNSIGNEd((Apbslot9enabLE*(2**9)),
16));

constant CAPB3OI1: STd_logic_vecTOR(15 downto 0) := std_loGIC_VECtor(To_unsigneD((apbslOT10ENABle*(2**10)),
16));

constant CAPB3li1: std_logiC_VECTOr(15 downto 0) := std_logic_VECTOR(TO_unsigNED((apbslOT11enabLE*(2**11)),
16));

constant CAPB3II1: std_LOGIC_vectoR(15 downto 0) := std_lOGIC_vector(tO_UNsigned((APBSLot12enaBLE*(2**12)),
16));

constant CAPB3o01: std_LOGic_vecTOR(15 downto 0) := stD_LOGic_vecTOR(to_unsiGNED((apbslOT13enable*(2**13)),
16));

constant CAPB3l01: STD_logic_VECTOR(15 downto 0) := STD_logic_VECTOR(to_UNsigned((apBSLOT14enablE*(2**14)),
16));

constant CAPB3I01: STD_logic_vECTOR(15 downto 0) := stD_LOGic_vecTOR(TO_Unsigned((apBSLOT15enablE*(2**15)),
16));

constant CAPB3o11: STD_logic_VECTOr(17 downto 0) := sTD_Logic_veCTOR(TO_unsignED((2**Iaddr_OPTION),
18));

constant CAPB3l11: inTEGER := (sC_15*(2**15))+(SC_14*(2**14))+(SC_13*(2**13))+(SC_12*(2**12))+(sC_11*(2**11))+(SC_10*(2**10))+(SC_9*(2**9))+(SC_8*(2**8))+(Sc_7*(2**7))+(SC_6*(2**6))+(sc_5*(2**5))+(Sc_4*(2**4))+(sc_3*(2**3))+(sc_2*(2**2))+(SC_1*(2**1))+(Sc_0*(2**0));

constant CAPB3I11: sTD_LOGIC_vector(15 downto 0) := std_logic_vECTOR(to_UNSIGNED(CAPB3L11,
16));

constant CAPB3oool: std_logic_VECTOR(15 downto 0) := (CAPB3I11(15) and not (CAPB3o11(17)))&(CAPB3I11(14) and not (CAPB3o11(16)))&(CAPB3i11(13) and not (CAPB3o11(15)))&(CAPB3I11(12) and not (CAPB3O11(14)))&(CAPB3i11(11) and not (CAPB3O11(13)))&(CAPB3i11(10) and not (CAPB3o11(12)))&(CAPB3I11(9) and not (CAPB3o11(11)))&(CAPB3I11(8) and not (CAPB3o11(10)))&(CAPB3i11(7) and not (CAPB3O11(9)))&(CAPB3I11(6) and not (CAPB3o11(8)))&(CAPB3i11(5) and not (CAPB3o11(7)))&(CAPB3I11(4) and not (CAPB3O11(6)))&(CAPB3i11(3) and not (CAPB3o11(5)))&(CAPB3I11(2) and not (CAPB3O11(4)))&(CAPB3i11(1) and not (CAPB3O11(3)))&(CAPB3i11(0) and not (CAPB3o11(2)));

constant CAPB3lool: std_logIC_Vector(15 downto 0) := CAPB3i00(15)&CAPB3I00(14)&CAPB3i00(13)&CAPB3i00(12)&CAPB3i00(11)&CAPB3I00(10)&CAPB3i00(9)&CAPB3I00(8)&CAPB3i00(7)&CAPB3i00(6)&CAPB3i00(5)&CAPB3i00(4)&CAPB3i00(3)&CAPB3I00(2)&CAPB3i00(1)&((CAPB3I00(0) or CAPB3I11(0)) or CAPB3o11(2));

constant CAPB3iooL: Std_logiC_VEctor(15 downto 0) := CAPB3O10(15)&CAPB3O10(14)&CAPB3o10(13)&CAPB3O10(12)&CAPB3o10(11)&CAPB3o10(10)&CAPB3o10(9)&CAPB3o10(8)&CAPB3O10(7)&CAPB3o10(6)&CAPB3O10(5)&CAPB3o10(4)&CAPB3o10(3)&CAPB3O10(2)&((CAPB3o10(1)) or CAPB3O11(3))&CAPB3o10(0);

constant CAPB3OLOL: STd_logic_vecTOR(15 downto 0) := CAPB3L10(15)&CAPB3l10(14)&CAPB3l10(13)&CAPB3L10(12)&CAPB3l10(11)&CAPB3l10(10)&CAPB3L10(9)&CAPB3L10(8)&CAPB3l10(7)&CAPB3l10(6)&CAPB3l10(5)&CAPB3l10(4)&CAPB3L10(3)&((CAPB3L10(2) or CAPB3i11(2)) or CAPB3o11(4))&CAPB3l10(1)&CAPB3l10(0);

constant CAPB3llol: Std_logic_veCTOR(15 downto 0) := CAPB3i10(15)&CAPB3I10(14)&CAPB3i10(13)&CAPB3I10(12)&CAPB3i10(11)&CAPB3i10(10)&CAPB3I10(9)&CAPB3i10(8)&CAPB3I10(7)&CAPB3I10(6)&CAPB3i10(5)&CAPB3I10(4)&((CAPB3i10(3) or CAPB3i11(3)) or CAPB3O11(5))&CAPB3I10(2)&CAPB3I10(1)&CAPB3i10(0);

constant CAPB3ilol: STD_Logic_vectoR(15 downto 0) := CAPB3oo1(15)&CAPB3oo1(14)&CAPB3oo1(13)&CAPB3OO1(12)&CAPB3OO1(11)&CAPB3oo1(10)&CAPB3OO1(9)&CAPB3oo1(8)&CAPB3oo1(7)&CAPB3oo1(6)&CAPB3oo1(5)&((CAPB3oo1(4) or CAPB3i11(4)) or CAPB3O11(6))&CAPB3Oo1(3)&CAPB3oo1(2)&CAPB3OO1(1)&CAPB3OO1(0);

constant CAPB3oiol: sTD_Logic_VECTOR(15 downto 0) := CAPB3lo1(15)&CAPB3Lo1(14)&CAPB3LO1(13)&CAPB3Lo1(12)&CAPB3lo1(11)&CAPB3lo1(10)&CAPB3LO1(9)&CAPB3lo1(8)&CAPB3lo1(7)&CAPB3lo1(6)&((CAPB3lo1(5) or CAPB3i11(5)) or CAPB3o11(7))&CAPB3lo1(4)&CAPB3Lo1(3)&CAPB3LO1(2)&CAPB3lO1(1)&CAPB3LO1(0);

constant CAPB3LIOL: std_loGIC_Vector(15 downto 0) := CAPB3IO1(15)&CAPB3IO1(14)&CAPB3iO1(13)&CAPB3iO1(12)&CAPB3io1(11)&CAPB3iO1(10)&CAPB3IO1(9)&CAPB3io1(8)&CAPB3io1(7)&((CAPB3io1(6) or CAPB3i11(6)) or CAPB3o11(8))&CAPB3io1(5)&CAPB3iO1(4)&CAPB3io1(3)&CAPB3Io1(2)&CAPB3Io1(1)&CAPB3io1(0);

constant CAPB3Iiol: stD_LOGic_vecTOR(15 downto 0) := CAPB3ol1(15)&CAPB3ol1(14)&CAPB3ol1(13)&CAPB3ol1(12)&CAPB3ol1(11)&CAPB3ol1(10)&CAPB3ol1(9)&CAPB3ol1(8)&((CAPB3oL1(7) or CAPB3i11(7)) or CAPB3o11(9))&CAPB3ol1(6)&CAPB3OL1(5)&CAPB3OL1(4)&CAPB3ol1(3)&CAPB3ol1(2)&CAPB3ol1(1)&CAPB3OL1(0);

constant CAPB3O0OL: std_LOGIc_vectoR(15 downto 0) := CAPB3ll1(15)&CAPB3ll1(14)&CAPB3ll1(13)&CAPB3lL1(12)&CAPB3ll1(11)&CAPB3ll1(10)&CAPB3lL1(9)&((CAPB3LL1(8) or CAPB3i11(8)) or CAPB3o11(10))&CAPB3ll1(7)&CAPB3ll1(6)&CAPB3ll1(5)&CAPB3LL1(4)&CAPB3ll1(3)&CAPB3LL1(2)&CAPB3LL1(1)&CAPB3LL1(0);

constant CAPB3l0ol: std_LOGIC_VEctor(15 downto 0) := CAPB3il1(15)&CAPB3il1(14)&CAPB3IL1(13)&CAPB3il1(12)&CAPB3il1(11)&CAPB3il1(10)&((CAPB3il1(9) or CAPB3I11(9)) or CAPB3O11(11))&CAPB3il1(8)&CAPB3il1(7)&CAPB3il1(6)&CAPB3il1(5)&CAPB3iL1(4)&CAPB3il1(3)&CAPB3Il1(2)&CAPB3il1(1)&CAPB3IL1(0);

constant CAPB3I0Ol: std_loGIC_Vector(15 downto 0) := CAPB3Oi1(15)&CAPB3OI1(14)&CAPB3oi1(13)&CAPB3oi1(12)&CAPB3OI1(11)&((CAPB3oi1(10) or CAPB3I11(10)) or CAPB3o11(12))&CAPB3OI1(9)&CAPB3OI1(8)&CAPB3OI1(7)&CAPB3oi1(6)&CAPB3oi1(5)&CAPB3OI1(4)&CAPB3oi1(3)&CAPB3oi1(2)&CAPB3OI1(1)&CAPB3oi1(0);

constant CAPB3o1OL: STD_logic_VECTOr(15 downto 0) := CAPB3lI1(15)&CAPB3LI1(14)&CAPB3LI1(13)&CAPB3li1(12)&((CAPB3LI1(11) or CAPB3I11(11)) or CAPB3o11(13))&CAPB3li1(10)&CAPB3lI1(9)&CAPB3Li1(8)&CAPB3lI1(7)&CAPB3Li1(6)&CAPB3lI1(5)&CAPB3LI1(4)&CAPB3li1(3)&CAPB3li1(2)&CAPB3li1(1)&CAPB3li1(0);

constant CAPB3L1ol: Std_logiC_VECtor(15 downto 0) := CAPB3ii1(15)&CAPB3ii1(14)&CAPB3II1(13)&((CAPB3ii1(12) or CAPB3I11(12)) or CAPB3o11(14))&CAPB3ii1(11)&CAPB3ii1(10)&CAPB3ii1(9)&CAPB3ii1(8)&CAPB3ii1(7)&CAPB3II1(6)&CAPB3II1(5)&CAPB3ii1(4)&CAPB3II1(3)&CAPB3iI1(2)&CAPB3ii1(1)&CAPB3ii1(0);

constant CAPB3i1ol: sTD_LOGIC_vector(15 downto 0) := CAPB3o01(15)&CAPB3o01(14)&((CAPB3o01(13) or CAPB3I11(13)) or CAPB3O11(15))&CAPB3O01(12)&CAPB3o01(11)&CAPB3O01(10)&CAPB3o01(9)&CAPB3o01(8)&CAPB3o01(7)&CAPB3o01(6)&CAPB3o01(5)&CAPB3O01(4)&CAPB3O01(3)&CAPB3o01(2)&CAPB3o01(1)&CAPB3o01(0);

constant CAPB3ooll: sTD_LOGIC_vector(15 downto 0) := CAPB3l01(15)&((CAPB3L01(14) or CAPB3I11(14)) or CAPB3o11(16))&CAPB3l01(13)&CAPB3L01(12)&CAPB3l01(11)&CAPB3l01(10)&CAPB3l01(9)&CAPB3l01(8)&CAPB3L01(7)&CAPB3l01(6)&CAPB3l01(5)&CAPB3l01(4)&CAPB3l01(3)&CAPB3l01(2)&CAPB3l01(1)&CAPB3l01(0);

constant CAPB3lOLL: std_loGIC_vectoR(15 downto 0) := ((CAPB3i01(15) or CAPB3I11(15)) or CAPB3o11(17))&CAPB3i01(14)&CAPB3i01(13)&CAPB3i01(12)&CAPB3i01(11)&CAPB3i01(10)&CAPB3i01(9)&CAPB3i01(8)&CAPB3I01(7)&CAPB3i01(6)&CAPB3i01(5)&CAPB3I01(4)&CAPB3i01(3)&CAPB3i01(2)&CAPB3i01(1)&CAPB3i01(0);

component CAPB3il
port (CAPB3oi: in STD_logic_VECTOR(16 downto 0);
prdatAS0: in STD_logic_VECTor(31 downto 0);
PRDAtas1: in STD_logic_vECTOR(31 downto 0);
prdatAS2: in STD_Logic_vECTOR(31 downto 0);
prdatAS3: in sTD_LOgic_vectOR(31 downto 0);
pRDATAS4: in std_LOGIC_vector(31 downto 0);
PRDatas5: in sTD_logic_vECTOR(31 downto 0);
PRDAtas6: in std_lOGIC_vector(31 downto 0);
pRDATAS7: in STD_Logic_veCTOR(31 downto 0);
prdatas8: in std_lOGIC_vector(31 downto 0);
prdATAS9: in Std_logIC_VECtor(31 downto 0);
pRDATAS10: in STD_Logic_veCTOR(31 downto 0);
PRDATAs11: in std_loGIC_VECTor(31 downto 0);
prdaTAS12: in STD_logic_vectoR(31 downto 0);
PRDAtas13: in std_logic_VECTOR(31 downto 0);
prdatas14: in STd_logic_veCTOR(31 downto 0);
prdatAS15: in std_logic_VECTOR(31 downto 0);
PRDAtas16: in STD_logic_vectOR(31 downto 0);
CAPB3LI: in stD_LOGIC_vector(16 downto 0);
CAPB3II: in Std_logic_vECTOR(16 downto 0);
pready: out Std_logic;
PSLVERR: out Std_logic;
prdata: out STd_logic_veCTOR(31 downto 0));
end component;

component CAPB3o
generic (aPB_DWIDTh: iNTEGER range 8 to 32;
Maddr_bits: INTEGEr range 12 to 32);
port (Pclk: in std_logic;
PResetn: in std_LOGIC;
PENable: in STD_logic;
psel: in sTD_LOGIC;
PADDR: in std_lOGIC_VECtor(31 downto 0);
pwrite: in std_logiC;
pwDATA: in Std_logic_vECTOR(31 downto 0);
prdaTA: out STD_LOGic_vector(31 downto 0);
CAPB3l: out STd_logic_vecTOR(31 downto 0));
end component;

signal CAPB3i1l: std_logiC_VECTOR(31 downto 0);

signal CAPB3ioll: std_LOGIC_VEctor(31 downto 0);

signal CAPB3ollL: std_loGIC_VECTor(31 downto 0);

signal CAPB3lllL: std_loGIC_VECTor(31 downto 0);

signal CAPB3illl: std_logic_vECTOR(31 downto 0);

signal CAPB3oill: STD_Logic_vector(31 downto 0);

signal CAPB3lILL: STd_logic_vecTOR(31 downto 0);

signal CAPB3iill: STD_Logic_vectoR(31 downto 0);

signal CAPB3o0ll: std_LOGIC_Vector(31 downto 0);

signal CAPB3L0LL: STD_LOGic_vector(31 downto 0);

signal CAPB3i0LL: std_LOGIC_VEctor(31 downto 0);

signal CAPB3O1LL: stD_LOGIC_vector(31 downto 0);

signal CAPB3l1ll: std_logic_vECTOR(31 downto 0);

signal CAPB3i1ll: std_logic_VECTOR(31 downto 0);

signal CAPB3ooil: std_logiC_VECTOr(31 downto 0);

signal CAPB3loil: STD_Logic_vectoR(31 downto 0);

signal CAPB3ioil: sTD_LOGIC_vector(31 downto 0);

signal CAPB3olil: std_LOGIC_VEctor(31 downto 0);

signal CAPB3LLIL: Std_logic_veCTOR(15 downto 0);

signal CAPB3Ilil: STd_logic_veCTOR(15 downto 0);

signal CAPB3oiil: std_logic_VECTOR(15 downto 0);

signal CAPB3LIil: STD_LOGIc_vector(15 downto 0);

signal CAPB3iiil: STD_LOgic_vector(3 downto 0);

signal CAPB3L: sTD_LOGIc_vector(31 downto 0);

signal CAPB3o0il: std_LOgic_vecTOR(31 downto 0);

signal CAPB3L0IL: Std_loGIC_Vector(31 downto 0);

signal CAPB3i0il: stD_LOgic_vecTOR(16 downto 0);

signal CAPB3o1il: STd_logic_VECTor(16 downto 0);

signal CAPB3l1iL: Std_logIC_VECtor(16 downto 0);

signal CAPB3i1il: std_LOGIC;

signal CAPB3oO0L: STD_logic_VECTOR(31 downto 0);

signal CAPB3LO0L: Std_logiC;

signal CAPB3io0L: Std_logiC;

begin
CAPB3OO0L <= ( others => '0');
CAPB3LO0l <= '1';
CAPB3io0l <= '0';
PWRites <= PWrite;
penabLES <= pENABLE;
pwdatAS <= PWDAta;
CAPB3IIIL <= paDDR((maddr_BITS-1) downto (Maddr_bITS-4));
process (PSEL,CAPB3iiil)
begin
if (psel = '1') then
case CAPB3iiIL is
when "0000" =>
CAPB3liil <= CAPB3lool;
when "0001" =>
CAPB3LIIL <= CAPB3iooL;
when "0010" =>
CAPB3liIL <= CAPB3oloL;
when "0011" =>
CAPB3liiL <= CAPB3llol;
when "0100" =>
CAPB3liiL <= CAPB3ILOL;
when "0101" =>
CAPB3liil <= CAPB3oiOL;
when "0110" =>
CAPB3lIIL <= CAPB3liOL;
when "0111" =>
CAPB3LIil <= CAPB3IIOL;
when "1000" =>
CAPB3lIIL <= CAPB3o0OL;
when "1001" =>
CAPB3LIIL <= CAPB3l0oL;
when "1010" =>
CAPB3liil <= CAPB3i0OL;
when "1011" =>
CAPB3LIil <= CAPB3o1ol;
when "1100" =>
CAPB3Liil <= CAPB3l1OL;
when "1101" =>
CAPB3LIIl <= CAPB3I1ol;
when "1110" =>
CAPB3LIIL <= CAPB3ooll;
when "1111" =>
CAPB3liil <= CAPB3LOLL;
when others =>
CAPB3liiL <= ( others => '0');
end case;
else
CAPB3liil <= ( others => '0');
end if;
end process;
CAPB3oiIL(15) <= CAPB3liil(15) and not (CAPB3Oool(15));
CAPB3oiil(14) <= CAPB3liil(14) and not (CAPB3oooL(14));
CAPB3oiIL(13) <= CAPB3liil(13) and not (CAPB3OOOL(13));
CAPB3OIIl(12) <= CAPB3liil(12) and not (CAPB3Oool(12));
CAPB3oIIL(11) <= CAPB3lIIL(11) and not (CAPB3oOOL(11));
CAPB3OIIL(10) <= CAPB3LIIL(10) and not (CAPB3OOOL(10));
CAPB3oiil(9) <= CAPB3LIIL(9) and not (CAPB3OOOL(9));
CAPB3OIIL(8) <= CAPB3liil(8) and not (CAPB3OOOL(8));
CAPB3oiIL(7) <= CAPB3liIL(7) and not (CAPB3OOOl(7));
CAPB3oiil(6) <= CAPB3liIL(6) and not (CAPB3oOOL(6));
CAPB3OIIL(5) <= CAPB3liil(5) and not (CAPB3OOol(5));
CAPB3OIIl(4) <= CAPB3LIIL(4) and not (CAPB3oool(4));
CAPB3oiiL(3) <= CAPB3lIIL(3) and not (CAPB3OOol(3));
CAPB3oiil(2) <= CAPB3Liil(2) and not (CAPB3oool(2));
CAPB3oiil(1) <= CAPB3lIIL(1) and not (CAPB3oool(1));
CAPB3oiil(0) <= CAPB3liil(0) and not (CAPB3oool(0));
CAPB3i1il <= (CAPB3LIIl(15) and CAPB3oooL(15)) or (CAPB3liil(14) and CAPB3oool(14))
or (CAPB3liil(13) and CAPB3oool(13))
or (CAPB3Liil(12) and CAPB3oool(12))
or (CAPB3liil(11) and CAPB3OOOl(11))
or (CAPB3lIIL(10) and CAPB3oool(10))
or (CAPB3lIIL(9) and CAPB3OOOl(9))
or (CAPB3liIL(8) and CAPB3OOOL(8))
or (CAPB3liIL(7) and CAPB3oool(7))
or (CAPB3lIIL(6) and CAPB3oooL(6))
or (CAPB3LIIL(5) and CAPB3oooL(5))
or (CAPB3liil(4) and CAPB3oool(4))
or (CAPB3Liil(3) and CAPB3oool(3))
or (CAPB3liil(2) and CAPB3oool(2))
or (CAPB3liIL(1) and CAPB3OOOL(1))
or (CAPB3lIIL(0) and CAPB3oool(0));
PSELs16 <= CAPB3i1il;
CAPB3oL0l:
if (iaddR_OPTIOn = CAPB3l0i)
generate
CAPB3ioll(31 downto 0) <= CAPB3olil(31 downto 0);
end generate;
CAPB3ll0l:
if (not (iadDR_OPTIOn = CAPB3L0i))
generate
CAPB3IL0L:
if (aPBSLOT0Enable = 1)
generate
CAPB3IOLl(31 downto 0) <= PRDATAS0(31 downto 0);
end generate;
CAPB3oi0l:
if (not (APbslot0enablE = 1))
generate
CAPB3Ioll(31 downto 0) <= CAPB3oo0l(31 downto 0);
end generate;
end generate;
CAPB3LI0L:
if (iaddR_OPTION = CAPB3I0I)
generate
CAPB3OLll(31 downto 0) <= CAPB3OLIL(31 downto 0);
end generate;
CAPB3ii0l:
if (not (iADDR_optiON = CAPB3i0I))
generate
CAPB3o00L:
if (Apbslot1ENABLE = 1)
generate
CAPB3OLLL(31 downto 0) <= PRDatas1(31 downto 0);
end generate;
CAPB3L00L:
if (not (aPBSLOt1enablE = 1))
generate
CAPB3OLLL(31 downto 0) <= CAPB3oO0L(31 downto 0);
end generate;
end generate;
CAPB3i00l:
if (IADDR_optioN = CAPB3o1I)
generate
CAPB3llll(31 downto 0) <= CAPB3olIL(31 downto 0);
end generate;
CAPB3O10l:
if (not (IADdr_optION = CAPB3O1i))
generate
CAPB3L10l:
if (aPBSLOT2enablE = 1)
generate
CAPB3llLL(31 downto 0) <= Prdatas2(31 downto 0);
end generate;
CAPB3I10l:
if (not (apbsLOT2Enable = 1))
generate
CAPB3llll(31 downto 0) <= CAPB3OO0L(31 downto 0);
end generate;
end generate;
CAPB3oo1l:
if (IAddr_opTION = CAPB3L1I)
generate
CAPB3iLLL(31 downto 0) <= CAPB3OLIL(31 downto 0);
end generate;
CAPB3lO1L:
if (not (IADDr_optioN = CAPB3L1I))
generate
CAPB3IO1L:
if (APbslot3eNABLE = 1)
generate
CAPB3Illl(31 downto 0) <= prdaTAS3(31 downto 0);
end generate;
CAPB3oL1L:
if (not (aPBSLOT3enable = 1))
generate
CAPB3illl(31 downto 0) <= CAPB3oo0l(31 downto 0);
end generate;
end generate;
CAPB3LL1L:
if (IADDR_option = CAPB3I1i)
generate
CAPB3oill(31 downto 0) <= CAPB3Olil(31 downto 0);
end generate;
CAPB3il1L:
if (not (iaddr_oPTION = CAPB3i1I))
generate
CAPB3oi1L:
if (APBslot4enABLE = 1)
generate
CAPB3oILL(31 downto 0) <= pRDATAs4(31 downto 0);
end generate;
CAPB3lI1L:
if (not (apbsloT4ENAble = 1))
generate
CAPB3oill(31 downto 0) <= CAPB3oo0l(31 downto 0);
end generate;
end generate;
CAPB3ii1l:
if (iaddr_OPTION = CAPB3oo0)
generate
CAPB3Lill(31 downto 0) <= CAPB3Olil(31 downto 0);
end generate;
CAPB3o01L:
if (not (IADDR_option = CAPB3OO0))
generate
CAPB3L01L:
if (Apbslot5enabLE = 1)
generate
CAPB3lill(31 downto 0) <= prdATAS5(31 downto 0);
end generate;
CAPB3I01l:
if (not (APBSLOt5enable = 1))
generate
CAPB3lill(31 downto 0) <= CAPB3oo0l(31 downto 0);
end generate;
end generate;
CAPB3o11l:
if (iaddr_optION = CAPB3LO0)
generate
CAPB3IILL(31 downto 0) <= CAPB3olil(31 downto 0);
end generate;
CAPB3l11l:
if (not (IADDR_option = CAPB3lo0))
generate
CAPB3I11L:
if (apbslot6eNABLE = 1)
generate
CAPB3iill(31 downto 0) <= Prdatas6(31 downto 0);
end generate;
CAPB3OOOI:
if (not (apbslot6ENABLE = 1))
generate
CAPB3iill(31 downto 0) <= CAPB3OO0L(31 downto 0);
end generate;
end generate;
CAPB3LOOI:
if (iaddr_oPTION = CAPB3io0)
generate
CAPB3o0ll(31 downto 0) <= CAPB3olil(31 downto 0);
end generate;
CAPB3IOOi:
if (not (iadDR_OPTIOn = CAPB3io0))
generate
CAPB3oloI:
if (apbslot7ENABLE = 1)
generate
CAPB3o0LL(31 downto 0) <= prdaTAS7(31 downto 0);
end generate;
CAPB3Lloi:
if (not (aPBSLOT7Enable = 1))
generate
CAPB3o0LL(31 downto 0) <= CAPB3oo0l(31 downto 0);
end generate;
end generate;
CAPB3ILOI:
if (iaddr_oPTION = CAPB3ol0)
generate
CAPB3L0LL(31 downto 0) <= CAPB3OLIL(31 downto 0);
end generate;
CAPB3oioI:
if (not (Iaddr_oPTION = CAPB3ol0))
generate
CAPB3LIOI:
if (apbSLOT8enablE = 1)
generate
CAPB3L0ll(31 downto 0) <= PRDatas8(31 downto 0);
end generate;
CAPB3iIOI:
if (not (Apbslot8ENABLE = 1))
generate
CAPB3L0ll(31 downto 0) <= CAPB3oo0L(31 downto 0);
end generate;
end generate;
CAPB3O0oi:
if (iaddr_OPTIon = CAPB3ll0)
generate
CAPB3i0LL(31 downto 0) <= CAPB3OLIL(31 downto 0);
end generate;
CAPB3l0oI:
if (not (Iaddr_oPTION = CAPB3ll0))
generate
CAPB3i0OI:
if (apbsloT9ENable = 1)
generate
CAPB3i0LL(31 downto 0) <= PRDAtas9(31 downto 0);
end generate;
CAPB3o1OI:
if (not (APBSlot9enABLE = 1))
generate
CAPB3I0LL(31 downto 0) <= CAPB3oO0L(31 downto 0);
end generate;
end generate;
CAPB3l1OI:
if (iaddr_OPTION = CAPB3iL0)
generate
CAPB3o1ll(31 downto 0) <= CAPB3oLIL(31 downto 0);
end generate;
CAPB3i1oi:
if (not (IADDR_option = CAPB3il0))
generate
CAPB3ooLI:
if (Apbslot10ENABle = 1)
generate
CAPB3o1LL(31 downto 0) <= prdaTAS10(31 downto 0);
end generate;
CAPB3LOli:
if (not (APBSLot10enABLE = 1))
generate
CAPB3o1lL(31 downto 0) <= CAPB3oo0l(31 downto 0);
end generate;
end generate;
CAPB3IOLi:
if (iADDR_option = CAPB3oi0)
generate
CAPB3l1ll(31 downto 0) <= CAPB3OLIL(31 downto 0);
end generate;
CAPB3OLli:
if (not (iaddr_OPTIon = CAPB3OI0))
generate
CAPB3LLLI:
if (APBSLOt11enable = 1)
generate
CAPB3l1ll(31 downto 0) <= pRDATAS11(31 downto 0);
end generate;
CAPB3ILLI:
if (not (apbsLOT11ENAble = 1))
generate
CAPB3l1LL(31 downto 0) <= CAPB3oo0l(31 downto 0);
end generate;
end generate;
CAPB3oili:
if (IADDR_option = CAPB3li0)
generate
CAPB3i1ll(31 downto 0) <= CAPB3OLIL(31 downto 0);
end generate;
CAPB3Lili:
if (not (iadDR_OPTIOn = CAPB3li0))
generate
CAPB3IIli:
if (apbSLOT12ENable = 1)
generate
CAPB3i1ll(31 downto 0) <= PRDATAS12(31 downto 0);
end generate;
CAPB3o0li:
if (not (APbslot12enabLE = 1))
generate
CAPB3I1Ll(31 downto 0) <= CAPB3oo0l(31 downto 0);
end generate;
end generate;
CAPB3l0li:
if (iaddr_opTION = CAPB3Ii0)
generate
CAPB3ooil(31 downto 0) <= CAPB3olil(31 downto 0);
end generate;
CAPB3i0li:
if (not (IADDR_Option = CAPB3iI0))
generate
CAPB3o1li:
if (apbslot13ENABLE = 1)
generate
CAPB3OOIL(31 downto 0) <= prdatas13(31 downto 0);
end generate;
CAPB3L1li:
if (not (apbsloT13ENABLe = 1))
generate
CAPB3ooil(31 downto 0) <= CAPB3OO0l(31 downto 0);
end generate;
end generate;
CAPB3i1li:
if (iaddr_opTION = CAPB3O00)
generate
CAPB3LOil(31 downto 0) <= CAPB3olil(31 downto 0);
end generate;
CAPB3OOIi:
if (not (iADDR_OPTion = CAPB3o00))
generate
CAPB3LOII:
if (APBSLot14enable = 1)
generate
CAPB3LOil(31 downto 0) <= Prdatas14(31 downto 0);
end generate;
CAPB3ioii:
if (not (apbsloT14ENABLe = 1))
generate
CAPB3LOIL(31 downto 0) <= CAPB3oo0l(31 downto 0);
end generate;
end generate;
CAPB3OLII:
if (IADDr_optioN = CAPB3L00)
generate
CAPB3ioil(31 downto 0) <= CAPB3oliL(31 downto 0);
end generate;
CAPB3llii:
if (not (iaddR_OPtion = CAPB3l00))
generate
CAPB3ilii:
if (Apbslot15ENable = 1)
generate
CAPB3IOIL(31 downto 0) <= Prdatas15(31 downto 0);
end generate;
CAPB3oiii:
if (not (Apbslot15ENABle = 1))
generate
CAPB3ioil(31 downto 0) <= CAPB3oo0l(31 downto 0);
end generate;
end generate;
CAPB3liii:
if (IADDR_option = CAPB3L0i)
generate
CAPB3lLIL(0) <= CAPB3LO0L;
end generate;
CAPB3iiii:
if (not (Iaddr_opTION = CAPB3l0I))
generate
CAPB3O0ii:
if (APBSLOt0enabLE = 1)
generate
CAPB3llil(0) <= PREadys0;
end generate;
CAPB3L0II:
if (not (APBslot0enABLE = 1))
generate
CAPB3LLIl(0) <= CAPB3lo0l;
end generate;
end generate;
CAPB3i0ii:
if (iadDR_OPtion = CAPB3I0i)
generate
CAPB3LLIl(1) <= CAPB3lO0L;
end generate;
CAPB3o1ii:
if (not (iadDR_OPtion = CAPB3i0i))
generate
CAPB3l1ii:
if (aPBSLOt1enablE = 1)
generate
CAPB3llil(1) <= Preadys1;
end generate;
CAPB3I1Ii:
if (not (ApbsloT1ENAble = 1))
generate
CAPB3llil(1) <= CAPB3LO0l;
end generate;
end generate;
CAPB3oo0I:
if (iadDR_OPtion = CAPB3o1I)
generate
CAPB3llIL(2) <= CAPB3LO0l;
end generate;
CAPB3Lo0i:
if (not (iaddR_OPtion = CAPB3o1i))
generate
CAPB3io0I:
if (ApbsloT2ENAble = 1)
generate
CAPB3LLIL(2) <= preadYS2;
end generate;
CAPB3ol0i:
if (not (aPBSLOT2Enable = 1))
generate
CAPB3lLIL(2) <= CAPB3LO0L;
end generate;
end generate;
CAPB3ll0i:
if (iaddr_optiON = CAPB3l1i)
generate
CAPB3LLIL(3) <= CAPB3lo0l;
end generate;
CAPB3IL0i:
if (not (iaddR_OPTION = CAPB3L1I))
generate
CAPB3oi0i:
if (apbslot3enABLE = 1)
generate
CAPB3LLIL(3) <= preadys3;
end generate;
CAPB3li0I:
if (not (APBSLot3enable = 1))
generate
CAPB3lLIL(3) <= CAPB3lo0l;
end generate;
end generate;
CAPB3ii0i:
if (iADDR_OPtion = CAPB3I1I)
generate
CAPB3llil(4) <= CAPB3Lo0l;
end generate;
CAPB3o00i:
if (not (IADDr_option = CAPB3i1i))
generate
CAPB3l00i:
if (apbslot4ENABLE = 1)
generate
CAPB3llil(4) <= PREADYS4;
end generate;
CAPB3i00i:
if (not (apBSLOT4ENAble = 1))
generate
CAPB3Llil(4) <= CAPB3lo0l;
end generate;
end generate;
CAPB3o10i:
if (iaddr_optION = CAPB3oo0)
generate
CAPB3llIL(5) <= CAPB3LO0l;
end generate;
CAPB3L10i:
if (not (iaddR_OPTION = CAPB3oo0))
generate
CAPB3i10I:
if (APBslot5enable = 1)
generate
CAPB3lliL(5) <= PREAdys5;
end generate;
CAPB3oO1I:
if (not (APBSLOT5enable = 1))
generate
CAPB3llil(5) <= CAPB3LO0L;
end generate;
end generate;
CAPB3LO1i:
if (IADDR_option = CAPB3LO0)
generate
CAPB3llil(6) <= CAPB3LO0L;
end generate;
CAPB3io1i:
if (not (IADDR_option = CAPB3lO0))
generate
CAPB3ol1i:
if (apbSLOT6ENAble = 1)
generate
CAPB3llil(6) <= prEADYS6;
end generate;
CAPB3ll1i:
if (not (APBSLOT6enable = 1))
generate
CAPB3llil(6) <= CAPB3LO0L;
end generate;
end generate;
CAPB3il1i:
if (IADDR_Option = CAPB3io0)
generate
CAPB3llil(7) <= CAPB3lo0l;
end generate;
CAPB3oi1I:
if (not (Iaddr_Option = CAPB3IO0))
generate
CAPB3li1I:
if (apbsLOT7Enable = 1)
generate
CAPB3lLIL(7) <= preaDYS7;
end generate;
CAPB3ii1i:
if (not (apbSLOT7enable = 1))
generate
CAPB3lliL(7) <= CAPB3LO0L;
end generate;
end generate;
CAPB3O01i:
if (Iaddr_opTION = CAPB3ol0)
generate
CAPB3llil(8) <= CAPB3LO0l;
end generate;
CAPB3l01I:
if (not (Iaddr_optioN = CAPB3ol0))
generate
CAPB3I01I:
if (apbsLOT8ENABle = 1)
generate
CAPB3llIL(8) <= preadys8;
end generate;
CAPB3o11i:
if (not (APBSLot8enable = 1))
generate
CAPB3llil(8) <= CAPB3lo0l;
end generate;
end generate;
CAPB3l11i:
if (iaddr_oPTION = CAPB3LL0)
generate
CAPB3llil(9) <= CAPB3lo0l;
end generate;
CAPB3i11i:
if (not (iaddr_oPTION = CAPB3Ll0))
generate
CAPB3ooo0:
if (apbslOT9ENABLe = 1)
generate
CAPB3LLIL(9) <= Preadys9;
end generate;
CAPB3loO0:
if (not (apbslot9ENABLE = 1))
generate
CAPB3LLIL(9) <= CAPB3Lo0l;
end generate;
end generate;
CAPB3IOO0:
if (iaddr_oPTION = CAPB3IL0)
generate
CAPB3llil(10) <= CAPB3lo0l;
end generate;
CAPB3olo0:
if (not (iADDR_OPTion = CAPB3il0))
generate
CAPB3llo0:
if (apbsLOT10ENAble = 1)
generate
CAPB3LLIL(10) <= PREAdys10;
end generate;
CAPB3ilo0:
if (not (apbslot10enABLE = 1))
generate
CAPB3llil(10) <= CAPB3LO0l;
end generate;
end generate;
CAPB3oIO0:
if (IADDR_option = CAPB3oi0)
generate
CAPB3llil(11) <= CAPB3LO0L;
end generate;
CAPB3Lio0:
if (not (iaddr_OPTION = CAPB3OI0))
generate
CAPB3IIO0:
if (apBSLOT11Enable = 1)
generate
CAPB3LLIl(11) <= preadYS11;
end generate;
CAPB3o0O0:
if (not (aPBSLOT11enable = 1))
generate
CAPB3lLIL(11) <= CAPB3lo0l;
end generate;
end generate;
CAPB3L0O0:
if (iADDR_OPTion = CAPB3LI0)
generate
CAPB3llil(12) <= CAPB3LO0l;
end generate;
CAPB3I0O0:
if (not (IADDR_Option = CAPB3LI0))
generate
CAPB3O1O0:
if (Apbslot12enaBLE = 1)
generate
CAPB3llil(12) <= pREADYS12;
end generate;
CAPB3l1o0:
if (not (APBSLOT12enable = 1))
generate
CAPB3LLIL(12) <= CAPB3lo0l;
end generate;
end generate;
CAPB3I1O0:
if (iaddr_OPTION = CAPB3ii0)
generate
CAPB3llIL(13) <= CAPB3lo0l;
end generate;
CAPB3ool0:
if (not (Iaddr_optiON = CAPB3Ii0))
generate
CAPB3lol0:
if (APBSLot13enable = 1)
generate
CAPB3llil(13) <= preadys13;
end generate;
CAPB3iol0:
if (not (apbsloT13ENABle = 1))
generate
CAPB3lliL(13) <= CAPB3lo0l;
end generate;
end generate;
CAPB3OLL0:
if (IADDR_option = CAPB3o00)
generate
CAPB3llil(14) <= CAPB3lo0l;
end generate;
CAPB3LLl0:
if (not (iadDR_OPTIOn = CAPB3o00))
generate
CAPB3ill0:
if (APBslot14enablE = 1)
generate
CAPB3LLIL(14) <= prEADYS14;
end generate;
CAPB3oil0:
if (not (APBSLot14enable = 1))
generate
CAPB3LLIL(14) <= CAPB3lo0l;
end generate;
end generate;
CAPB3lil0:
if (iaddr_OPTION = CAPB3l00)
generate
CAPB3LLIl(15) <= CAPB3LO0L;
end generate;
CAPB3iil0:
if (not (IADdr_option = CAPB3L00))
generate
CAPB3o0l0:
if (apbslot15ENABLE = 1)
generate
CAPB3LLIL(15) <= prEADYS15;
end generate;
CAPB3l0l0:
if (not (apbSLOT15ENable = 1))
generate
CAPB3llil(15) <= CAPB3lO0L;
end generate;
end generate;
CAPB3i0l0:
if (iaDDR_OPTIon = CAPB3L0i)
generate
CAPB3ilil(0) <= CAPB3io0l;
end generate;
CAPB3o1l0:
if (not (iaddr_optioN = CAPB3L0I))
generate
CAPB3l1L0:
if (apbslot0enaBLE = 1)
generate
CAPB3ilil(0) <= PSLVERrs0;
end generate;
CAPB3i1l0:
if (not (APBSLot0enable = 1))
generate
CAPB3iLIL(0) <= CAPB3IO0l;
end generate;
end generate;
CAPB3Ooi0:
if (iaDDR_option = CAPB3i0i)
generate
CAPB3ILIL(1) <= CAPB3iO0L;
end generate;
CAPB3LOi0:
if (not (Iaddr_OPTION = CAPB3i0i))
generate
CAPB3ioI0:
if (APBslot1enABLE = 1)
generate
CAPB3ilIL(1) <= PSLVErrs1;
end generate;
CAPB3OLi0:
if (not (APBSLOt1enabLE = 1))
generate
CAPB3ILIL(1) <= CAPB3io0l;
end generate;
end generate;
CAPB3lLI0:
if (iadDR_Option = CAPB3O1i)
generate
CAPB3ILIL(2) <= CAPB3io0L;
end generate;
CAPB3ili0:
if (not (IADDR_optioN = CAPB3O1i))
generate
CAPB3OIi0:
if (apbsloT2ENAble = 1)
generate
CAPB3ilil(2) <= pslverRS2;
end generate;
CAPB3liI0:
if (not (apbslOT2ENable = 1))
generate
CAPB3ILil(2) <= CAPB3iO0L;
end generate;
end generate;
CAPB3iII0:
if (IADDr_optiON = CAPB3L1i)
generate
CAPB3iLIL(3) <= CAPB3io0l;
end generate;
CAPB3o0i0:
if (not (iaddR_OPTion = CAPB3l1i))
generate
CAPB3L0I0:
if (Apbslot3ENABle = 1)
generate
CAPB3ILIl(3) <= Pslverrs3;
end generate;
CAPB3I0I0:
if (not (aPBSLOT3enable = 1))
generate
CAPB3ilil(3) <= CAPB3IO0L;
end generate;
end generate;
CAPB3O1I0:
if (iaDDR_OPTIon = CAPB3i1i)
generate
CAPB3ILIL(4) <= CAPB3io0l;
end generate;
CAPB3l1i0:
if (not (iaddr_OPTION = CAPB3I1I))
generate
CAPB3i1i0:
if (Apbslot4enABLE = 1)
generate
CAPB3ILIL(4) <= pslverrs4;
end generate;
CAPB3OO00:
if (not (apbslot4enABLE = 1))
generate
CAPB3ilIL(4) <= CAPB3IO0L;
end generate;
end generate;
CAPB3lo00:
if (iaddr_OPTION = CAPB3oo0)
generate
CAPB3ilil(5) <= CAPB3io0l;
end generate;
CAPB3io00:
if (not (IAddr_option = CAPB3oo0))
generate
CAPB3ol00:
if (apbslot5enABLE = 1)
generate
CAPB3ILIL(5) <= PSLVERrs5;
end generate;
CAPB3LL00:
if (not (Apbslot5enabLE = 1))
generate
CAPB3ILIL(5) <= CAPB3io0l;
end generate;
end generate;
CAPB3il00:
if (iaddr_OPTION = CAPB3lo0)
generate
CAPB3Ilil(6) <= CAPB3io0l;
end generate;
CAPB3OI00:
if (not (iaddr_oPTION = CAPB3lo0))
generate
CAPB3li00:
if (apbSLOT6ENAble = 1)
generate
CAPB3ilil(6) <= Pslverrs6;
end generate;
CAPB3II00:
if (not (apbslot6ENABLE = 1))
generate
CAPB3Ilil(6) <= CAPB3IO0L;
end generate;
end generate;
CAPB3O000:
if (IADDR_option = CAPB3io0)
generate
CAPB3ilil(7) <= CAPB3IO0L;
end generate;
CAPB3l000:
if (not (IADDR_option = CAPB3IO0))
generate
CAPB3i000:
if (APBSLot7enable = 1)
generate
CAPB3ilil(7) <= pSLVERRS7;
end generate;
CAPB3o100:
if (not (apbsLOT7ENAble = 1))
generate
CAPB3ilil(7) <= CAPB3io0L;
end generate;
end generate;
CAPB3l100:
if (IADDR_option = CAPB3ol0)
generate
CAPB3ILIL(8) <= CAPB3IO0L;
end generate;
CAPB3i100:
if (not (iADDR_OPtion = CAPB3ol0))
generate
CAPB3OO10:
if (APbslot8enablE = 1)
generate
CAPB3ILil(8) <= pSLVerrs8;
end generate;
CAPB3lo10:
if (not (APBSlot8enaBLE = 1))
generate
CAPB3ILIL(8) <= CAPB3iO0L;
end generate;
end generate;
CAPB3io10:
if (iaddr_oPTION = CAPB3ll0)
generate
CAPB3iLIL(9) <= CAPB3io0l;
end generate;
CAPB3OL10:
if (not (iaDDR_Option = CAPB3Ll0))
generate
CAPB3ll10:
if (apbslOT9ENable = 1)
generate
CAPB3ilil(9) <= pslverrS9;
end generate;
CAPB3il10:
if (not (APBSlot9enaBLE = 1))
generate
CAPB3ILIL(9) <= CAPB3iO0L;
end generate;
end generate;
CAPB3oi10:
if (IAddr_optION = CAPB3IL0)
generate
CAPB3ilil(10) <= CAPB3IO0l;
end generate;
CAPB3LI10:
if (not (IADDr_option = CAPB3il0))
generate
CAPB3ii10:
if (apBSLOT10Enable = 1)
generate
CAPB3iLIL(10) <= pslverRS10;
end generate;
CAPB3o010:
if (not (apbsLOT10ENAble = 1))
generate
CAPB3ilIL(10) <= CAPB3io0l;
end generate;
end generate;
CAPB3l010:
if (iaddr_optION = CAPB3OI0)
generate
CAPB3ilil(11) <= CAPB3IO0L;
end generate;
CAPB3i010:
if (not (iaddr_optiON = CAPB3oi0))
generate
CAPB3O110:
if (apbsloT11ENABle = 1)
generate
CAPB3ilil(11) <= pSLVERRS11;
end generate;
CAPB3L110:
if (not (APbslot11enabLE = 1))
generate
CAPB3ilil(11) <= CAPB3io0l;
end generate;
end generate;
CAPB3I110:
if (iaddr_optiON = CAPB3li0)
generate
CAPB3ILIL(12) <= CAPB3io0l;
end generate;
CAPB3OOO1:
if (not (IADDR_OPtion = CAPB3Li0))
generate
CAPB3loo1:
if (apbSLOT12ENable = 1)
generate
CAPB3ilIL(12) <= PSLVERRs12;
end generate;
CAPB3ioo1:
if (not (APBSlot12enablE = 1))
generate
CAPB3Ilil(12) <= CAPB3Io0l;
end generate;
end generate;
CAPB3OLO1:
if (iaddr_optiON = CAPB3ii0)
generate
CAPB3ilil(13) <= CAPB3IO0L;
end generate;
CAPB3llo1:
if (not (iaddr_OPTIOn = CAPB3II0))
generate
CAPB3ilo1:
if (APBSLOt13enable = 1)
generate
CAPB3ILIL(13) <= PSLVERrs13;
end generate;
CAPB3oio1:
if (not (APBSLOt13enable = 1))
generate
CAPB3ILIL(13) <= CAPB3io0l;
end generate;
end generate;
CAPB3lio1:
if (iaddr_OPTION = CAPB3o00)
generate
CAPB3ilil(14) <= CAPB3io0l;
end generate;
CAPB3Iio1:
if (not (iaddr_OPTION = CAPB3O00))
generate
CAPB3o0o1:
if (APBSLOt14enable = 1)
generate
CAPB3ILIl(14) <= PSLVErrs14;
end generate;
CAPB3l0o1:
if (not (APBSLot14enable = 1))
generate
CAPB3ilil(14) <= CAPB3io0l;
end generate;
end generate;
CAPB3i0o1:
if (IADDR_OPtion = CAPB3L00)
generate
CAPB3ILIL(15) <= CAPB3io0l;
end generate;
CAPB3O1O1:
if (not (iaDDR_OPTIon = CAPB3l00))
generate
CAPB3l1o1:
if (aPBSLOT15enable = 1)
generate
CAPB3ilil(15) <= pslvERRS15;
end generate;
CAPB3i1o1:
if (not (APBSLOT15enable = 1))
generate
CAPB3ilil(15) <= CAPB3IO0L;
end generate;
end generate;
CAPB3i0il <= CAPB3i1il&CAPB3oiil(15 downto 0);
CAPB3O1IL <= preADYS16&CAPB3Llil(15 downto 0);
CAPB3l1il <= PSLVErrs16&CAPB3ilil(15 downto 0);
CAPB3OOl1: CAPB3Il
port map (CAPB3oi => CAPB3i0il,
prdatas0 => CAPB3IOLL(31 downto 0),
prdatas1 => CAPB3oLLL(31 downto 0),
PRDATas2 => CAPB3llll(31 downto 0),
prdATAS3 => CAPB3illl(31 downto 0),
prdatAS4 => CAPB3oill(31 downto 0),
prdatas5 => CAPB3lill(31 downto 0),
prdatas6 => CAPB3iill(31 downto 0),
prdatas7 => CAPB3O0LL(31 downto 0),
pRDATAS8 => CAPB3l0ll(31 downto 0),
prdatas9 => CAPB3I0ll(31 downto 0),
Prdatas10 => CAPB3O1LL(31 downto 0),
prdatAS11 => CAPB3l1lL(31 downto 0),
prdatas12 => CAPB3i1ll(31 downto 0),
prdatAS13 => CAPB3OOIL(31 downto 0),
PRDatas14 => CAPB3Loil(31 downto 0),
Prdatas15 => CAPB3ioil(31 downto 0),
PrdataS16 => PRDAtas16(31 downto 0),
CAPB3LI => CAPB3O1IL,
CAPB3Ii => CAPB3l1il,
PREADy => preadY,
Pslverr => pslvERR,
PRDAta => CAPB3i1l(31 downto 0));
Prdata(31 downto 0) <= CAPB3i1l(31 downto 0);
CAPB3lol1:
if (not (Iaddr_oPTION = CAPB3l0i))
generate
Psels0 <= CAPB3OIIL(0);
end generate;
CAPB3IOL1:
if (IADDR_option = CAPB3l0i)
generate
PSELs0 <= '0';
end generate;
CAPB3olL1:
if (not (IADdr_optiON = CAPB3I0I))
generate
pselS1 <= CAPB3oiIL(1);
end generate;
CAPB3lLL1:
if (iADDR_option = CAPB3i0I)
generate
psels1 <= '0';
end generate;
CAPB3ill1:
if (not (Iaddr_oPTION = CAPB3O1I))
generate
Psels2 <= CAPB3oiil(2);
end generate;
CAPB3oiL1:
if (iaDDR_Option = CAPB3o1i)
generate
PSEls2 <= '0';
end generate;
CAPB3lil1:
if (not (IADDR_optioN = CAPB3l1i))
generate
PSELS3 <= CAPB3Oiil(3);
end generate;
CAPB3IIL1:
if (iaddr_OPTIon = CAPB3l1i)
generate
pSELS3 <= '0';
end generate;
CAPB3o0L1:
if (not (iaddR_OPtion = CAPB3i1i))
generate
Psels4 <= CAPB3OIIL(4);
end generate;
CAPB3l0L1:
if (IAddr_optION = CAPB3i1I)
generate
Psels4 <= '0';
end generate;
CAPB3i0l1:
if (not (iADDR_Option = CAPB3OO0))
generate
psels5 <= CAPB3oiil(5);
end generate;
CAPB3O1L1:
if (iADDR_option = CAPB3OO0)
generate
PSELs5 <= '0';
end generate;
CAPB3l1l1:
if (not (Iaddr_oPTION = CAPB3lo0))
generate
pSELS6 <= CAPB3oiil(6);
end generate;
CAPB3I1l1:
if (IADdr_optiON = CAPB3lo0)
generate
psels6 <= '0';
end generate;
CAPB3OOI1:
if (not (iaddr_optION = CAPB3io0))
generate
Psels7 <= CAPB3oiil(7);
end generate;
CAPB3loI1:
if (iaddr_optION = CAPB3io0)
generate
pselS7 <= '0';
end generate;
CAPB3ioi1:
if (not (iaddr_opTION = CAPB3ol0))
generate
PSEls8 <= CAPB3OIIl(8);
end generate;
CAPB3OLI1:
if (IADDR_option = CAPB3ol0)
generate
PSELS8 <= '0';
end generate;
CAPB3lli1:
if (not (Iaddr_option = CAPB3ll0))
generate
PSELS9 <= CAPB3oiil(9);
end generate;
CAPB3ILi1:
if (IADDR_Option = CAPB3Ll0)
generate
PSEls9 <= '0';
end generate;
CAPB3OII1:
if (not (iADDR_OPTion = CAPB3iL0))
generate
PSELS10 <= CAPB3oiil(10);
end generate;
CAPB3LII1:
if (Iaddr_option = CAPB3il0)
generate
psels10 <= '0';
end generate;
CAPB3iii1:
if (not (iaddr_optiON = CAPB3oi0))
generate
psels11 <= CAPB3oiil(11);
end generate;
CAPB3O0i1:
if (IADdr_option = CAPB3OI0)
generate
pSELS11 <= '0';
end generate;
CAPB3l0i1:
if (not (iADDR_OPTion = CAPB3li0))
generate
psels12 <= CAPB3oiIL(12);
end generate;
CAPB3i0I1:
if (iaddr_OPTION = CAPB3li0)
generate
pSELS12 <= '0';
end generate;
CAPB3O1i1:
if (not (iaddr_optiON = CAPB3II0))
generate
PSELS13 <= CAPB3oiil(13);
end generate;
CAPB3l1i1:
if (iaddr_OPTION = CAPB3ii0)
generate
psels13 <= '0';
end generate;
CAPB3i1i1:
if (not (IADDR_option = CAPB3o00))
generate
psels14 <= CAPB3oiIL(14);
end generate;
CAPB3OO01:
if (iADDR_OPTion = CAPB3o00)
generate
pSELS14 <= '0';
end generate;
CAPB3lo01:
if (not (IADDR_option = CAPB3l00))
generate
PSELS15 <= CAPB3oIIL(15);
end generate;
CAPB3IO01:
if (IADDR_option = CAPB3l00)
generate
PSELs15 <= '0';
end generate;
CAPB3oL01:
if (IADDR_option = CAPB3iII)
generate
CAPB3l <= ( others => '0');
end generate;
CAPB3ll01:
if (IAddr_optION = CAPB3O0i)
generate
CAPB3L <= ( others => '0');
end generate;
CAPB3il01:
if (IADDR_option = CAPB3l0i)
generate
CAPB3oi01: CAPB3o
generic map (APB_DWIDth,
MADDr_bits)
port map (PCLK,
presETN,
peNABLE,
CAPB3oiil(0),
paddr,
PWrite,
pwdaTA,
CAPB3olil,
CAPB3L);
end generate;
CAPB3li01:
if (Iaddr_optiON = CAPB3I0I)
generate
CAPB3OI01: CAPB3o
generic map (apb_DWIDTH,
maddr_bits)
port map (PCLK,
Presetn,
peNABLE,
CAPB3oiil(1),
paddr,
Pwrite,
pwdata,
CAPB3oLIL,
CAPB3l);
end generate;
CAPB3II01:
if (Iaddr_option = CAPB3O1I)
generate
CAPB3OI01: CAPB3o
generic map (Apb_dwidth,
maddr_BITS)
port map (PCLK,
PRESETN,
penable,
CAPB3oiil(2),
paddr,
pwrite,
Pwdata,
CAPB3OLIL,
CAPB3l);
end generate;
CAPB3o001:
if (IADDR_option = CAPB3l1i)
generate
CAPB3oi01: CAPB3o
generic map (APB_dwidth,
maddr_bITS)
port map (PCLK,
PRESETN,
PENABLE,
CAPB3OIIl(3),
PAddr,
pwrite,
PWDAta,
CAPB3olil,
CAPB3l);
end generate;
CAPB3L001:
if (iaddr_OPTION = CAPB3I1I)
generate
CAPB3oi01: CAPB3o
generic map (apb_dwidTH,
MADDR_bits)
port map (PCLK,
PRESETN,
Penable,
CAPB3OIIL(4),
paDDR,
PWRITE,
pwdata,
CAPB3olil,
CAPB3l);
end generate;
CAPB3I001:
if (iADDR_OPTion = CAPB3oo0)
generate
CAPB3oI01: CAPB3O
generic map (APB_Dwidth,
MADDR_bits)
port map (pclk,
pRESETN,
PENABLe,
CAPB3OIIL(5),
paddr,
pwrite,
PWDATa,
CAPB3OLIl,
CAPB3L);
end generate;
CAPB3o101:
if (iADDR_OPtion = CAPB3lo0)
generate
CAPB3Oi01: CAPB3o
generic map (apb_DWIDTH,
maddr_biTS)
port map (pCLK,
prESETN,
PENABLE,
CAPB3oiil(6),
paddr,
PWrite,
PWDATA,
CAPB3olil,
CAPB3l);
end generate;
CAPB3l101:
if (IADdr_option = CAPB3IO0)
generate
CAPB3oi01: CAPB3O
generic map (APB_dwidth,
MADDR_BIts)
port map (pclk,
Presetn,
Penable,
CAPB3oiil(7),
paddr,
PWrite,
pWDATA,
CAPB3OLIL,
CAPB3L);
end generate;
CAPB3i101:
if (iaddr_opTION = CAPB3ol0)
generate
CAPB3oI01: CAPB3o
generic map (apb_dwIDTH,
maddr_bitS)
port map (Pclk,
presetn,
Penable,
CAPB3oiil(8),
PADDR,
pwrite,
pwdATA,
CAPB3OLIL,
CAPB3l);
end generate;
CAPB3oo11:
if (Iaddr_optiON = CAPB3ll0)
generate
CAPB3oi01: CAPB3o
generic map (APB_dwidth,
MADDR_bits)
port map (Pclk,
PRESETn,
PENAble,
CAPB3OIIL(9),
paddR,
pwrite,
pwdata,
CAPB3OLil,
CAPB3l);
end generate;
CAPB3lo11:
if (IADDR_option = CAPB3il0)
generate
CAPB3OI01: CAPB3O
generic map (APb_dwidth,
MADDR_bits)
port map (pCLK,
presetn,
penable,
CAPB3OIIL(10),
PADDR,
pwrite,
pWDATA,
CAPB3olil,
CAPB3l);
end generate;
CAPB3IO11:
if (IADDR_option = CAPB3OI0)
generate
CAPB3OI01: CAPB3O
generic map (Apb_dwidth,
MADDR_bits)
port map (pclK,
PResetn,
PENABLe,
CAPB3oiil(11),
Paddr,
PWRITE,
PWDATA,
CAPB3olil,
CAPB3L);
end generate;
CAPB3OL11:
if (IADDR_Option = CAPB3LI0)
generate
CAPB3OI01: CAPB3o
generic map (aPB_DWIDth,
maddr_bITS)
port map (pclk,
PRESetn,
pENABLE,
CAPB3OIIL(12),
PADDR,
pwrite,
pwdata,
CAPB3Olil,
CAPB3L);
end generate;
CAPB3ll11:
if (Iaddr_option = CAPB3II0)
generate
CAPB3OI01: CAPB3o
generic map (APB_DWIdth,
mADDR_BIts)
port map (pclk,
PRESETN,
penABLE,
CAPB3oiIL(13),
Paddr,
Pwrite,
PWDATA,
CAPB3olIL,
CAPB3L);
end generate;
CAPB3iL11:
if (IAddr_optION = CAPB3O00)
generate
CAPB3Oi01: CAPB3O
generic map (Apb_dwidTH,
mADDR_bits)
port map (pclk,
prESETN,
penabLE,
CAPB3oiil(14),
padDR,
Pwrite,
PWData,
CAPB3olIL,
CAPB3l);
end generate;
CAPB3oi11:
if (iaddr_oPTION = CAPB3l00)
generate
CAPB3oI01: CAPB3o
generic map (APB_Dwidth,
MAddr_bitS)
port map (pCLK,
Presetn,
Penable,
CAPB3oiil(15),
Paddr,
pwriTE,
Pwdata,
CAPB3olIL,
CAPB3l);
end generate;
CAPB3li11:
if (IADDR_option = CAPB3iii)
generate
CAPB3L0IL <= Paddr;
CAPB3o0iL <= ( others => '0');
end generate;
CAPB3ii11:
if (iADDR_OPTion = CAPB3o0i)
generate
CAPB3l0IL <= IADdr;
CAPB3O0Il <= iaddR;
end generate;
CAPB3o011:
if (IADDr_option > CAPB3O0I)
generate
CAPB3l0il <= CAPB3l;
CAPB3o0IL <= CAPB3L;
end generate;
CAPB3L011:
if (MADDR_BIts = 12)
generate
process (CAPB3L0il,CAPB3O0IL,PADdr)
begin
case upr_niBBLE_POSn is
when 2 =>
paddrs <= CAPB3L0IL(31 downto 12)&paddr(11 downto 0);
when 3 =>
padDRS <= CAPB3l0iL(31 downto 16)&paddr(11 downto 8)&CAPB3O0il(11 downto 8)&padDR(7 downto 0);
when 4 =>
paddRS <= CAPB3l0il(31 downto 20)&PADdr(11 downto 8)&CAPB3o0il(15 downto 8)&PADDR(7 downto 0);
when 5 =>
PADDrs <= CAPB3l0il(31 downto 24)&paddr(11 downto 8)&CAPB3o0il(19 downto 8)&paddr(7 downto 0);
when 6 =>
PADDRS <= CAPB3l0il(31 downto 28)&PADDR(11 downto 8)&CAPB3O0il(23 downto 8)&PAddr(7 downto 0);
when 7 =>
pADDRS <= paddr(11 downto 8)&CAPB3o0il(27 downto 8)&PAddr(7 downto 0);
when 8 =>
PADDRS <= CAPB3O0IL(31 downto 8)&paddr(7 downto 0);
when others =>
PADDRS <= paddr;
end case;
end process;
end generate;
CAPB3I011:
if (maddr_BITS = 16)
generate
process (CAPB3L0Il,CAPB3O0IL,padDR)
begin
case UPR_NIBBle_posn is
when 2 =>
PADDRs <= CAPB3L0il(31 downto 16)&paddr(15 downto 0);
when 3 =>
PADDRS <= CAPB3L0il(31 downto 16)&paddr(15 downto 0);
when 4 =>
pADDRS <= CAPB3L0IL(31 downto 20)&paddr(15 downto 12)&CAPB3o0il(15 downto 12)&PADDR(11 downto 0);
when 5 =>
pADDRS <= CAPB3l0il(31 downto 24)&paddr(15 downto 12)&CAPB3o0IL(19 downto 12)&Paddr(11 downto 0);
when 6 =>
paddrs <= CAPB3l0il(31 downto 28)&pADDR(15 downto 12)&CAPB3O0il(23 downto 12)&PADdr(11 downto 0);
when 7 =>
PADDRs <= Paddr(15 downto 12)&CAPB3o0IL(27 downto 12)&paddr(11 downto 0);
when 8 =>
Paddrs <= CAPB3o0il(31 downto 12)&PADDR(11 downto 0);
when others =>
paddrs <= PADDr;
end case;
end process;
end generate;
CAPB3O111:
if (Maddr_bits = 20)
generate
process (CAPB3l0il,CAPB3O0il,PADDR)
begin
case Upr_nibble_pOSN is
when 2 =>
paddrs <= CAPB3l0il(31 downto 20)&paddr(19 downto 0);
when 3 =>
PADDRS <= CAPB3l0il(31 downto 20)&PADdr(19 downto 0);
when 4 =>
PADDRs <= CAPB3L0Il(31 downto 20)&PADDR(19 downto 0);
when 5 =>
PAddrs <= CAPB3l0il(31 downto 24)&paddr(19 downto 16)&CAPB3O0il(19 downto 16)&paddr(15 downto 0);
when 6 =>
PADDRs <= CAPB3L0Il(31 downto 28)&PADdr(19 downto 16)&CAPB3O0IL(23 downto 16)&paddr(15 downto 0);
when 7 =>
paddrs <= paddR(19 downto 16)&CAPB3o0IL(27 downto 16)&paddR(15 downto 0);
when 8 =>
paddrs <= CAPB3O0IL(31 downto 16)&paDDR(15 downto 0);
when others =>
Paddrs <= paddR;
end case;
end process;
end generate;
CAPB3l111:
if (MAddr_bitS = 24)
generate
process (CAPB3L0Il,CAPB3o0il,PADDR)
begin
case UPR_nibble_pOSN is
when 2 =>
pADDRS <= CAPB3l0il(31 downto 24)&pADDR(23 downto 0);
when 3 =>
paddrs <= CAPB3l0il(31 downto 24)&PADDr(23 downto 0);
when 4 =>
PAddrs <= CAPB3l0iL(31 downto 24)&Paddr(23 downto 0);
when 5 =>
paddrs <= CAPB3l0IL(31 downto 24)&paddr(23 downto 0);
when 6 =>
PAddrs <= CAPB3l0il(31 downto 28)&paddR(23 downto 20)&CAPB3o0il(23 downto 20)&PADdr(19 downto 0);
when 7 =>
Paddrs <= pADDR(23 downto 20)&CAPB3o0il(27 downto 20)&PADDR(19 downto 0);
when 8 =>
PADDRS <= CAPB3o0il(31 downto 20)&pADDR(19 downto 0);
when others =>
paDDRS <= PADDR;
end case;
end process;
end generate;
CAPB3I111:
if (MADDr_bits = 28)
generate
process (CAPB3l0il,CAPB3o0il,PADdr)
begin
case upR_NIBBLE_posn is
when 2 =>
PAddrs <= CAPB3l0il(31 downto 28)&PAddr(27 downto 0);
when 3 =>
paddrs <= CAPB3l0iL(31 downto 28)&paddr(27 downto 0);
when 4 =>
PADDRS <= CAPB3l0il(31 downto 28)&PADDr(27 downto 0);
when 5 =>
PADDrs <= CAPB3l0il(31 downto 28)&PADDR(27 downto 0);
when 6 =>
PADDRS <= CAPB3L0il(31 downto 28)&PADDR(27 downto 0);
when 7 =>
PADDRS <= Paddr(27 downto 24)&CAPB3O0IL(27 downto 24)&PADDR(23 downto 0);
when 8 =>
PAddrs <= CAPB3o0il(31 downto 24)&Paddr(23 downto 0);
when others =>
paddrs <= paddr;
end case;
end process;
end generate;
CAPB3ooooL:
if (MADDr_bits = 32)
generate
PADDRS <= pADDR(31 downto 0);
end generate;
end architecture CAPB3ioi;
