-- Microsemi Corporation Proprietary and Confidential
-- Copyright 2011 Microsemi Corporation.  All rights reserved.
-- ANY USE OR REDISTRIBUTION IN PART OR IN WHOLE MUST BE HANDLED IN
-- ACCORDANCE WITH THE ACTEL LICENSE AGREEMENT AND MUST BE APPROVED
-- IN ADVANCE IN WRITING.
-- SVN Revision Information:
-- SVN $Revision: 19036 $
-- SVN $Date: 2013-01-11 08:25:22 -0800 (Fri, 11 Jan 2013) $
library ieeE;
use ieEE.STD_logic_1164.all;
entity CAPB3O is
generic (apb_dwidtH: integER range 8 to 32 := 32;
MADDR_bits: INTEGEr range 12 to 32 := 32); port (pclk: in STd_logic;
presetn: in STD_LOGic;
penABLE: in STD_LOGIc;
PSEL: in STd_logic;
padDR: in STD_LOGIc_vector(31 downto 0);
pwRITE: in STD_LOGIC;
pWDATA: in Std_logic_VECTOR(31 downto 0);
PRDATA: out STD_LOgic_vector(31 downto 0);
CAPB3L: out std_logiC_VECTOR(31 downto 0));
end entity CAPB3o;

architecture CAPB3i of CAPB3O is

signal CAPB3OL: std_logic_VECTOR(31 downto 0);

constant CAPB3ll: Std_logiC_VECtor(31 downto 0) := ( others => '0');

begin
process (PRESetn,PCLK)
begin
if (PRESETn = '0') then
CAPB3ol <= ( others => '0');
elsif (Pclk'EVENt and PClk = '1') then
if (psel = '1' and PEnable = '1'
and PWrite = '1') then
if (APb_dwidtH = 32) then
if (PADDr(maDDR_bits-4-1 downto 0) = CAPB3ll(MAddr_biTS-4-1 downto 0)) then
CAPB3oL <= pwdaTA;
end if;
end if;
if (apB_DWIdth = 16) then
if (Paddr(MADDR_bits-4-1 downto 4) = CAPB3LL(maddR_BITs-4-1 downto 4)) then
case Paddr(3 downto 0) is
when "0000" =>
CAPB3OL(15 downto 0) <= PWDATA(15 downto 0);
when "0100" =>
CAPB3OL(31 downto 16) <= PWDATA(15 downto 0);
when "1000" =>
CAPB3ol <= CAPB3OL;
when "1100" =>
CAPB3ol <= CAPB3ol;
when others =>
null
;
end case;
end if;
end if;
if (apb_dwIDTH = 8) then
if (paddr(maDDR_BITS-4-1 downto 4) = CAPB3LL(MADDR_Bits-4-1 downto 4)) then
case PADDR(3 downto 0) is
when "0000" =>
CAPB3ol(7 downto 0) <= Pwdata(7 downto 0);
when "0100" =>
CAPB3ol(15 downto 8) <= pwdata(7 downto 0);
when "1000" =>
CAPB3ol(23 downto 16) <= PWDATA(7 downto 0);
when "1100" =>
CAPB3ol(31 downto 24) <= pwDATA(7 downto 0);
when others =>
null
;
end case;
end if;
end if;
end if;
end if;
end process;
CAPB3l <= CAPB3ol;
process (CAPB3Ol,PADDR)
begin
prDATA <= ( others => '0');
if (apb_dwidtH = 32) then
if (paddr(maddr_BITS-4-1 downto 0) = CAPB3ll(maddr_bITS-4-1 downto 0)) then
PRdata <= CAPB3OL;
end if;
end if;
if (Apb_dwidth = 16) then
if (PADDR(madDR_BITS-4-1 downto 4) = CAPB3ll(maDDR_BITS-4-1 downto 4)) then
case paddR(3 downto 0) is
when "0000" =>
prdata(15 downto 0) <= CAPB3ol(15 downto 0);
when "0100" =>
PRDAta(15 downto 0) <= CAPB3OL(31 downto 16);
when "1000" =>
prDATA <= ( others => '0');
when "1100" =>
prdata <= ( others => '0');
when others =>
null
;
end case;
end if;
end if;
if (apB_DWIDth = 8) then
if (Paddr(maddr_bITS-4-1 downto 4) = CAPB3ll(maddr_BITS-4-1 downto 4)) then
case paddr(3 downto 0) is
when "0000" =>
prDATA(7 downto 0) <= CAPB3ol(7 downto 0);
when "0100" =>
Prdata(7 downto 0) <= CAPB3ol(15 downto 8);
when "1000" =>
prdata(7 downto 0) <= CAPB3OL(23 downto 16);
when "1100" =>
PRDATa(7 downto 0) <= CAPB3ol(31 downto 24);
when others =>
null
;
end case;
end if;
end if;
end process;
end architecture CAPB3i;
