--  Copyright 2011 Actel Corporation.  All rights reserved.
-- ANY USE OR REDISTRIBUTION IN PART OR IN WHOLE MUST BE HANDLED IN
-- ACCORDANCE WITH THE ACTEL LICENSE AGREEMENT AND MUST BE APPROVED
-- Revision Information:
-- SVN Revision Information:
-- SVN $Revision: 4805 $
library ieEE;
use ieeE.STd_LOGic_1164.all;
use iEEE.STd_LOGic_UNSigNED.all;
use IEEe.stD_logIC_miSC.all;
use woRK.XHdl_STD_lOGIc.all;
use woRK.xhdL_MisC.all;
entity ms_event_fifo_ms_event_fifo_0_COREFIFO is
generic (faMIly: INTegeR := 19;
SYNc: INtegER := 0;
rCLK_edGE: iNTEgeR := 1;
WClk_EDge: iNTegeR := 1;
rE_polARIty: INtegER := 0;
We_pOLAriTY: inTEGer := 0;
RwidTH: intEGEr := 18;
wWIDth: INTegeR := 18;
RdepTH: InteGER := 1024;
wDEPth: iNTEger := 1024;
Read_DvalID: intEGer := 0;
WRIte_ACk: iNTEgeR := 0;
cTRL_tyPE: intEGer := 1;
EstoP: INTegER := 1;
fstOP: INtegER := 1;
aE_staTIC_en: INteGER := 1;
AF_stATIc_eN: inTEger := 1;
AevAL: intEGEr := 4;
afvAL: InteGER := 1020;
pIPE: inTEGer := 1;
PREfetCH: IntEGEr := 0;
reSEt_pOLAritY: IntEGEr := 0;
OVerfLOw_eN: InteGER := 0;
uNDErflOW_en: InteGER := 0;
wRCNt_eN: InteGER := 0;
rdcNT_en: INTegeR := 0); port (clk: in std_LogiC;
wCLOck: in std_LOgic;
rclOCK: in STd_lOGIc;
ReseT: in stD_LogIC;
daTA: in stD_logIC_vecTOr(wwIDTh-1 downto 0);
wE: in sTD_loGIC;
rE: in stD_logIC;
Q: out sTD_loGIC_veCTOr(RwidTH-1 downto 0);
FulL: out STD_loGIC;
EMPty: out std_LOgiC;
afULL: out sTD_loGIC;
aEMPty: out std_LOgiC;
oveRFLow: out std_LogiC;
unDErflOW: out STD_loGIC;
wACK: out STD_loGIC;
DVLd: out STD_lOGIc;
wrcNT: out Std_LOgic_VectOR(CEIl_lOG2(wdEPTh) downto 0);
rdcNT: out sTD_loGIC_veCTOr(cEIL_loG2(RDEptH) downto 0);
MEmwe: out sTD_loGIC;
mEMre: out STd_lOGIc;
memWADdr: out STD_lOGIc_vECTor((CFIFOo(wDEPth)-1) downto 0);
meMRaddR: out Std_LOgic_VEctOR((CFIFOo(rdEPTh)-1) downto 0);
memWD: out std_LOgiC_VectOR(wwiDTH-1 downto 0);
MEmrD: in STD_loGIc_vECTor(RWIdtH-1 downto 0));
end entity ms_event_fifo_ms_event_fifo_0_COREFIFO;

architecture CFIFOl of ms_event_fifo_ms_event_fifo_0_COREFIFO is

constant CFIFOI: InteGER := (ceIL_log2(wdEPTh));

constant CFIFOOL: intEGEr := (CEIl_lOG2(RDeptH));

component ms_event_fifo_ms_event_fifo_0_rAM_wrAPPer
generic (RWidtH: intEGer := 32;
wWIDth: INtegER := 32;
RDeptH: InteGER := 128;
WdepTH: intEGEr := 128;
synC: INteGER := 0;
PIpe: INTegER := 1;
cTRL_tYPE: inTEGer := 1);
port (wdATA: in Std_LOGic_VEctoR(WwiDTH-1 downto 0);
wADDr: in stD_LogiC_vecTOR(wdePTH-1 downto 0);
Wen: in STd_lOGIc;
reN: in Std_LOGic;
rdaTA: out std_LOgic_VectOR(rWIDth-1 downto 0);
RaddR: in stD_LogIC_vecTOR(RdePTH-1 downto 0);
REset_N: in sTD_logIC;
ClocK: in STd_lOGic;
WcloCK: in std_LogiC;
rCLOck: in sTD_loGIC);
end component;

component CFIFOll
generic (CFIFOiL: intEGer := 32;
CFIFOoI: intEGEr := 1024;
CFIFOli: InteGER := 1024;
CFIFOII: iNTegeR := 32;
CFIFOo0: iNTEger := 1024;
CFIFOl0: inTEGer := 1024;
CFIFOi0: inTEGer := 1;
CFIFOo1: InteGER := 1;
CFIFOl1: intEGEr := 1;
CFIFOi1: InteGER := 0;
CFIFOOol: INtegER := 0;
CFIFOlol: intEGEr := 1;
CFIFOiol: INteGER := 1;
CFIFOoLL: inTEGer := 1016;
CFIFOlLL: iNTEgeR := 1000;
eSTOp: inTEGer := 1;
FStop: INTegER := 1;
CFIFOILl: INtegER := 1;
Read_DvalID: intEGEr := 0;
WRIte_ACK: inTEGer := 0;
ovERFlow_En: iNTEger := 0;
uNDerfLOW_en: INteGER := 0;
WRCnt_EN: intEGEr := 0;
RDcnt_En: inTEger := 0);
port (rclK: in STd_LOGic;
Wclk: in std_LOgiC;
REset: in sTD_loGIC;
We: in sTD_logIC;
re: in Std_LOGic;
FUll: out sTD_logIC;
afULL: out STd_lOGIc;
wrcNT: out sTD_logIC_veCTOr(CFIFOOI downto 0);
eMPTy: out Std_LOGic;
aEMpty: out std_LOgic;
rDCNt: out STd_lOGIc_vECTor(CFIFOo0 downto 0);
UndeRFlow: out std_LogiC;
OVerfLOW: out STd_lOGic;
dvLD: out sTD_logIC;
Wack: out Std_LOGic;
meMWAddr: out STd_lOGIc_vECTor(CFIFOo(CFIFOLi)-1 downto 0);
MEMwe: out std_LogiC;
MemrADDr: out std_LogiC_VecTOR(CFIFOo(CFIFOl0)-1 downto 0);
MEMre: out Std_LOgiC);
end component;

component CFIFOOil
generic (CFIFOiL: INtegER := 32;
CFIFOOI: inTEGer := 10;
CFIFOLI: inTEGer := 1024;
CFIFOii: INtegER := 32;
CFIFOo0: INTegER := 10;
CFIFOL0: InteGEr := 1024;
CFIFOI0: iNTEger := 1;
CFIFOl1: INtegER := 1;
CFIFOi1: INTegeR := 1;
CFIFOooL: InteGER := 1;
CFIFOLol: INTegeR := 1;
CFIFOIol: INTegER := 1;
CFIFOoll: INtegER := 1020;
CFIFOLLl: iNTEger := 4;
estOP: InteGER := 1;
fsTOP: intEGer := 1;
CFIFOill: INtegER := 1;
REad_DVAlid: INtegER := 32;
wrITe_aCK: intEGer := 32;
oveRFLow_EN: inTEGer := 1;
unDErflOW_en: InteGEr := 1;
WrcNT_en: INTegeR := 1;
rDCNt_eN: InteGER := 1);
port (clk: in std_LogiC;
rESEt: in STd_lOGic;
we: in std_LOgic;
RE: in Std_LOGic;
FUll: out stD_logIC;
AfulL: out sTD_loGIC;
wrcNT: out stD_logIC_vecTOr(CFIFOoi downto 0);
EMptY: out stD_logIC;
aeMPTy: out Std_LOGic;
rdcNT: out stD_logIC_vecTOr(CFIFOo0 downto 0);
undERfloW: out sTD_logIC;
oveRFLow: out Std_LOgic;
dvLD: out stD_logIC;
WACk: out STd_lOGIc;
MEmwADDr: out stD_logIC_veCTOr(CFIFOO(CFIFOli)-1 downto 0);
MEmwe: out Std_LOGic;
MemrADDr: out sTD_logIC_veCTOr(CFIFOo(CFIFOL0)-1 downto 0);
MEMre: out Std_LOgic);
end component;

component CFIFOLil
generic (CFIFOIL: INtegER := 18;
CFIFOOI: inTEGer := 10;
CFIFOli: INTegER := 1024;
CFIFOiI: InteGEr := 18;
CFIFOo0: InteGER := 10;
CFIFOL0: inTEGer := 1024;
CFIFOi0: InteGER := 1;
CFIFOL1: intEGer := 1;
CFIFOi1: INteGER := 1;
CFIFOOOl: iNTEgeR := 1;
CFIFOLOl: inTEger := 1;
CFIFOIOl: INTegeR := 1;
CFIFOolL: InteGER := 1020;
CFIFOLLl: iNTEger := 4;
EstoP: INtegER := 1;
FStop: INTegeR := 1;
CFIFOiLL: inTEGer := 1;
reAD_dvALId: INTegeR := 1;
wRITe_aCK: inTEGer := 1;
oveRFlow_En: iNTEgeR := 1;
uNDerfLOW_eN: IntEGEr := 1;
wRCNt_EN: intEGer := 1;
RDcnt_En: iNTEgeR := 1);
port (cLK: in Std_LOGic;
reSEt: in STd_lOGIc;
we: in Std_LOgic;
rE: in std_LogiC;
FUll: out stD_logIC;
AfuLL: out STd_lOGIc;
wrcNT: out stD_LogiC_vecTOR(CFIFOOi downto 0);
eMPTy: out Std_LOgic;
AEMpty: out stD_LogIC;
RDcnt: out sTD_loGIC_veCTor(CFIFOO0 downto 0);
UndERFlow: out sTD_logIC;
OverFLow: out std_LOgic;
DVLd: out STD_lOGIc;
WacK: out std_LogiC;
meMWAddr: out STd_lOGic_VECtor(CFIFOo(CFIFOlI)-1 downto 0);
MEMwe: out stD_LogIC;
meMRAddr: out STd_lOGIc_VECtoR(CFIFOO(CFIFOl0)-1 downto 0);
MEMre: out Std_LOgic);
end component;

component CFIFOIIl
generic (rdEPTh: INtegER := 10;
WwidTH: inTEGer := 10;
rwIDTh: iNTEger := 10;
CFIFOI0: IntEGEr := 1;
CFIFOL1: intEGer := 1;
sYNC: intEGer := 1);
port (WClocK: in STd_lOGIc;
cloCK: in sTD_logIC;
resET: in stD_logIC;
EMpty: in Std_LOgic;
Fifo_MemrE: in stD_LogIC;
fIFO_mEMWe: in sTD_loGIC;
FifO_MemrADdr: in STd_lOGIc_vECtor(rdEPTh-1 downto 0);
Data: in sTD_loGIC_veCTOr(WWidtH-1 downto 0);
CFIFOo0L: in Std_LOgiC_VectOR(RWidtH-1 downto 0);
CFIFOl0l: out sTD_loGIC_veCTOr(rDEPth-1 downto 0);
CFIFOi0l: out Std_LOGic_VECtoR(rWIDth-1 downto 0));
end component;

signal CFIFOO1l: sTD_loGIC;

signal CFIFOl1l: STD_loGIC_vECTor(RwiDTH-1 downto 0);

signal fiFO_meMWAddr: stD_logIC_vecTOr((CFIFOo(wDEpth)-1) downto 0);

signal fIFO_meMRAddR: sTD_loGIC_veCTOr((CFIFOO(RDeptH)-1) downto 0);

signal CFIFOl0L: sTD_loGIC_veCTOr((CFIFOo(rdePTh)-1) downto 0);

signal fiFO_meMWE: stD_LogiC;

signal FIfo_MEmre: STD_loGIC;

signal CFIFOI0L: STD_lOGIc_vECTor(RWidtH-1 downto 0);

signal CFIFOI1L: Std_LOGic_VEctoR(rwIDTh-1 downto 0);

signal CFIFOOOi: STD_lOGIc_vECTor(rWIDth-1 downto 0);

signal CFIFOlOI: STD_loGIc_vECTor(RWidtH-1 downto 0);

signal CFIFOioI: sTD_loGIC_veCTOr(rWIDth-1 downto 0);

signal CFIFOoli: stD_logIC_vecTOr((CFIFOo(WdepTH)-1) downto 0);

signal CFIFOlLI: stD_logIC;

signal CFIFOIli: stD_LogiC_vecTOR(WWIdth-1 downto 0);

signal CFIFOOII: Std_LOGic_VECtoR((CFIFOo(rdEPth)-1) downto 0);

signal CFIFOliI: STD_loGIC_vECTor((CFIFOO(RDEpth)-1) downto 0);

signal CFIFOiiI: STd_LOGic;

signal CFIFOO0i: sTD_loGIC;

signal CFIFOl0I: sTD_loGIC_veCTOr(RWIdth-1 downto 0);

signal CFIFOI0i: stD_LogiC_VecTOR(1 downto 0);

signal CFIFOO1I: STd_LOGic_VEctoR(RWidtH-1 downto 0);

signal CFIFOL1i: stD_LogIC;

signal CFIFOi1I: Std_LOgic;

signal CFIFOoO0: std_LOgic;

signal CFIFOlo0: Std_LOgic;

signal CFIFOio0: Std_LOGic;

signal CFIFOol0: Std_LOgic;

signal CFIFOll0: STd_LOGic;

signal CFIFOIl0: sTD_loGIC;

signal CFIFOOI0: STd_LOGic_VECtor(ceiL_log2(wDEPth) downto 0);

signal CFIFOli0: sTD_logIC_veCTOr(ceiL_log2(rdEPth) downto 0);

signal CFIFOiI0: std_LogiC;

signal CFIFOO00: stD_LogIC;

signal CFIFOl00: STD_loGIC_vECTor((CFIFOO(wDEPth)-1) downto 0);

signal CFIFOI00: STd_lOGic_VECtor((CFIFOO(RdepTH)-1) downto 0);

signal CFIFOO10: sTD_logIC_veCTOr(WWIdth-1 downto 0);

begin
Q <= CFIFOO1i;
fulL <= CFIFOL1I;
EMPty <= CFIFOi1i;
aFULl <= CFIFOOO0;
aEMpty <= CFIFOLO0;
OVErflOW <= CFIFOIO0;
uNDerfLOW <= CFIFOol0;
wacK <= CFIFOll0;
dvLD <= CFIFOIl0;
WRCnt <= CFIFOOi0;
RdcnT <= CFIFOli0;
mEMWe <= CFIFOII0;
mEMre <= CFIFOO00;
MEmwaDDR <= CFIFOL00;
MEmraDDR <= CFIFOI00;
MemwD <= CFIFOo10;
CFIFOLOi <= mEMrd;
CFIFOIOi <= CFIFOI0l when (PrefETCh = 1 and pipE = 1) else
CFIFOOoi;
CFIFOO1i <= CFIFOIoi;
CFIFOOli <= fiFO_meMWAddr when (ctRL_tyPE = 1) else
( others => '0');
CFIFOL00 <= CFIFOOli;
CFIFOlli <= fIFO_meMWE when (Ctrl_TYpe = 1) else
'0';
CFIFOII0 <= CFIFOLLI;
CFIFOILI <= DAta when (cTRL_tyPE = 1) else
( others => '0');
CFIFOO10 <= CFIFOiLI;
CFIFOOII <= CFIFOL0l when (prEFEtch = 1 and Pipe = 1) else
fifO_memRADdr;
CFIFOlII <= (CFIFOoII) when (CTrl_TYpe = 1) else
( others => '0');
CFIFOi00 <= CFIFOlII;
CFIFOiII <= FifO_MemrE;
CFIFOo0I <= (CFIFOIIi) when (ctrL_Type = 1) else
'0';
CFIFOO00 <= CFIFOo0i;
CFIFOl10:
if ((((sYNC = 1) and (RDeptH = wdEPth)) and (EstoP = 1)) and (FstOP = 1))
generate
CFIFOi10: CFIFOlIL
generic map (fSTOp => fsTOP,
CFIFOli => WDeptH,
CFIFOOI => CFIFOI,
CFIFOIol => AE_stATIc_EN,
UndeRFLow_EN => unDERfloW_en,
wrcNT_en => wrCNT_eN,
oVErflOW_en => oveRFlow_EN,
CFIFOLll => aEVAl,
CFIFOIi => RWidtH,
CFIFOiLL => pIPE,
CFIFOL0 => RDEptH,
CFIFOiL => wwIDTh,
CFIFOLOl => af_StatIC_en,
CFIFOoll => afVAL,
WRite_ACk => WritE_Ack,
CFIFOool => rE_PolaRITy,
ReaD_DvalID => REad_DValiD,
CFIFOi1 => we_POlaRITy,
EStop => estOP,
rdCNT_en => rdCNt_eN,
CFIFOl1 => rESet_POLariTY,
CFIFOI0 => wclK_Edge,
CFIFOo0 => CFIFOol)
port map (cLK => CLk,
rESEt => ReseT,
We => WE,
Re => RE,
fuLL => CFIFOL1i,
AFUll => CFIFOoo0,
WrcnT => CFIFOOI0,
eMPTy => CFIFOi1I,
aeMPTy => CFIFOLO0,
rDCnt => CFIFOli0,
undERFlow => CFIFOOL0,
OVErfLOW => CFIFOio0,
Dvld => CFIFOil0,
wacK => CFIFOLL0,
MEMwaDDR => fiFO_memWAddr,
memWE => FIfo_MEMwe,
MemrADdr => fiFO_memRADdr,
MEmrE => fIFO_meMRE);
end generate CFIFOl10;
CFIFOOo1:
if ((sYNc = 1) and ((RDepTH /= wdEPTh) or (esTOp /= 1)
or (fSTOp /= 1)))
generate
CFIFOLO1: CFIFOOIL
generic map (FstoP => FSTop,
CFIFOLI => WDeptH,
CFIFOoi => CFIFOi,
CFIFOiol => AE_stATIc_eN,
UNDerfLOw_eN => UndeRFLow_EN,
WRcnt_EN => WRcnt_En,
oveRFLow_EN => oveRFLow_EN,
CFIFOLLL => AevaL,
CFIFOii => RwidTH,
CFIFOILl => Pipe,
CFIFOl0 => RdePTH,
CFIFOIL => WWidtH,
CFIFOlol => Af_sTATic_EN,
CFIFOOLL => AFVal,
WritE_Ack => wRITe_aCK,
CFIFOOOl => re_POlarITY,
REad_DVAlid => reaD_dvaLID,
CFIFOI1 => WE_polARity,
EstoP => esTOP,
rDCnt_EN => RDcnt_En,
CFIFOl1 => ReseT_PolaRIty,
CFIFOI0 => wclK_edgE,
CFIFOo0 => CFIFOol)
port map (CLk => Clk,
reSET => ReseT,
we => wE,
RE => re,
FUll => CFIFOl1I,
afULL => CFIFOOO0,
WRcnt => CFIFOoI0,
emPTY => CFIFOI1i,
AEMptY => CFIFOLO0,
rDCNt => CFIFOLi0,
UndeRFlow => CFIFOOl0,
OverFLOw => CFIFOio0,
Dvld => CFIFOil0,
wacK => CFIFOLL0,
MEMwaDDR => fIFo_mEMWaddR,
meMWE => FIfo_MEmwe,
memRADdr => FIFo_mEMradDR,
mEMRe => Fifo_MemrE);
end generate CFIFOOo1;
CFIFOIO1:
if (SYnc = 0)
generate
CFIFOol1: CFIFOLL
generic map (FstoP => fSTOp,
CFIFOLI => WDeptH,
CFIFOoI => CFIFOi,
CFIFOioL => AE_stATIc_eN,
UNderFLOw_EN => UNderFLOw_eN,
wrCNT_eN => wrCNt_eN,
ovERfloW_En => OverFLOw_eN,
CFIFOLLL => aEVal,
CFIFOII => rWIdth,
CFIFOilL => pIPe,
CFIFOL0 => RdepTH,
CFIFOiL => wwIDth,
CFIFOLol => af_STatiC_en,
CFIFOo1 => rCLK_eDGE,
CFIFOOLl => AFval,
WriTE_ack => wriTE_ack,
CFIFOOol => re_PolaRITy,
reaD_dvaLID => Read_DvalID,
CFIFOI1 => WE_polARity,
EstoP => esTOP,
rDCNt_EN => RDCnt_EN,
CFIFOl1 => resET_polARity,
CFIFOi0 => wclK_EdgE,
CFIFOo0 => CFIFOol)
port map (RClk => rcLOCk,
WCLk => WCLock,
ResET => ReseT,
WE => we,
rE => Re,
FULl => CFIFOL1i,
AfulL => CFIFOoO0,
WRCnt => CFIFOOi0,
EMpty => CFIFOi1I,
aeMPTy => CFIFOlo0,
RdcNT => CFIFOLI0,
UNdeRFLow => CFIFOOL0,
OVErfLOW => CFIFOIo0,
Dvld => CFIFOil0,
Wack => CFIFOll0,
MemWADdr => fIFO_meMWaddR,
memWE => fiFO_meMWE,
MEMradDR => fiFO_meMRAddr,
memRE => FIfo_MEMre);
end generate CFIFOIO1;
CFIFOLL1:
if (PrefETch = 1 and pIPE = 1)
generate
CFIFOil1: CFIFOIIL
generic map (RDepTH => (CFIFOO(RdepTH)),
wwiDTH => wwiDTH,
CFIFOl1 => REset_PolaRITy,
RwidTH => rWIDth,
CFIFOI0 => Wclk_Edge,
Sync => Sync)
port map (wCLock => WCLock,
CLOck => Clk,
REset => resET,
empTY => CFIFOi1i,
fifO_MemRE => FifO_MemrE,
fiFO_meMWE => Fifo_MemwE,
fIFo_mEMRaddR => Fifo_MemrADDr,
DAta => datA,
CFIFOO0l => CFIFOoOI,
CFIFOl0L => CFIFOL0l,
CFIFOi0L => CFIFOi0L);
end generate CFIFOlL1;
CFIFOL0i <= CFIFOloI when (cTRl_tYPE = 1) else
CFIFOi1l;
CFIFOOOI <= CFIFOl0I;
RW1:
if (ctrL_typE /= 1)
generate
CFIFOoi1: ms_event_fifo_ms_event_fifo_0_RAM_wrAPpeR
generic map (rdEPTh => (CFIFOO(rDEpth)),
WDEpth => (CFIFOO(WDepTH)),
wWIDth => WWIdth,
RwidTH => RWIdth,
Ctrl_Type => CTRl_tYPE,
PIPe => PIpe,
sYNC => SYnc)
port map (WDAta => dATA,
waDDr => FIFo_mEMWaddR,
WEN => fiFO_meMWE,
Ren => '1',
WcloCK => WcloCK,
rdaTA => CFIFOI1l,
RaddR => CFIFOOII,
rcLOck => RclOCK,
clOCK => CLk,
ResET_n => reSET);
end generate Rw1;
end architecture CFIFOL;
